## --------------------- ##

# Be Bourne compatible if test -n "${ZSH_VERSION+set}"  &&  (emu-
late sh) >/dev/null 2>&1; then
  emulate sh
  NULLCMD=:
  # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
  # is contrary to our usage.  Disable this feature.
  alias  -g '${1+"$@"}'='"$@"' elif test -n "${BASH_VERSION+set}"
&& (set -o posix) >/dev/null 2>&1; then
  set -o posix fi DUALCASE=1; export DUALCASE # for MKS sh

# Support unset when possible.  if ( (MAIL=60; unset MAIL) || ex-
it) >/dev/null 2>&1; then
  as_unset=unset else
  as_unset=false fi


# Work around bugs in pre-3.0 UWIN ksh.  $as_unset ENV MAIL MAIL-
PATH PS1='$ ' PS2='> ' PS4='+ '

# NLS nuisances.  for as_var in   LANG LANGUAGE LC_ADDRESS LC_ALL
LC_COLLATE  LC_CTYPE  LC_IDENTIFICATION    LC_MEASUREMENT LC_MES-
SAGES  LC_MONETARY  LC_NAME  LC_NUMERIC  LC_PAPER    LC_TELEPHONE
LC_TIME do
  if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`");
then
    eval $as_var=C; export $as_var
  else
    $as_unset $as_var
  fi done

# Required to use basename.  if expr a : '' >/dev/null 2>&1; then
  as_expr=expr else
  as_expr=false fi

if  (basename  /)  >/dev/null 2>&1 && test "X`basename / 2>&1`" =
"X/"; then
  as_basename=basename else
  as_basename=false fi


# Name of the executable.  as_me=`$as_basename "$0"  ||  $as_expr
X/"$0"  : '.*//][^/]*/*$'       X"$0" : 'X$'    X"$0" : 'X$'    .
: '' 2>/dev/null || echo X/"$0" |
    sed '/^.*/][^/]**$/{ s//1/; q; }
          /^X$/{ s//1/; q; }
          /^X.*/{ s//1/; q; }
          s/.*/./; q'`


# PATH needs CR, and LINENO needs CR and PATH.  # Avoid depending
  fi
  rm -f conf$$.sh fi


  as_lineno_1=$LINENO
  as_lineno_2=$LINENO
  as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
  test "x$as_lineno_1" != "x$as_lineno_2" &&
  test "x$as_lineno_3"  = "x$as_lineno_2"  || {
  #  Find  who we are.  Look in the path if we contain no path at
all
  # relative or not.
  case $0 in
    *[\/]* ) as_myself=$0 ;;
    *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR for as_dir in  $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
  test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break done

       ;;
  esac
  #  We  did not find ourselves, most probably we were run as `sh
COMMAND'
  # in which case we are not to be found in the path.
  if test "x$as_myself" = x; then
    as_myself=$0
  fi
  if test ! -f "$as_myself"; then
    { echo "$as_me: error: cannot find myself; rerun with an  ab-
solute path" >&2
   { (exit 1); exit 1; }; }
  fi
  case $CONFIG_SHELL in
  '')
    as_save_IFS=$IFS;    IFS=$PATH_SEPARATOR    for   as_dir   in
/bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
  for as_base in sh bash ksh sh5; do            case  $as_dir  in
         /*)            if ("$as_dir/$as_base" -c '
  as_lineno_1=$LINENO
  as_lineno_2=$LINENO
  as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
  test "x$as_lineno_1" != "x$as_lineno_2" &&
  test  "x$as_lineno_3"   =  "x$as_lineno_2" ') 2>/dev/null; then
             $as_unset BASH_ENV || test "${BASH_ENV+set}" !=  set
||  { BASH_ENV=; export BASH_ENV; }              $as_unset ENV ||
test "${ENV+set}" != set  ||  {  ENV=;  export  ENV;  }
CONFIG_SHELL=$as_dir/$as_base                export  CONFIG_SHELL
             exec "$CONFIG_SHELL" "$0" ${1+"$@"}             fi;;
         esac

  # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
  #  second 'sed' script.  Blame Lee E. McMahon for sed's syntax.
:-)
  sed '=' <$as_myself |
    sed '
      N
      s,$,-,
      : loop
      s,^$as_cr_digits']*[$]LINENO'$as_cr_alnum'_],1213,
      t loop
      s,-$,,
      s,^['$as_cr_digits']*0,
    ' >$as_me.lineno &&
  chmod +x $as_me.lineno ||
    { echo "$as_me: error:  cannot  create  $as_me.lineno;  rerun
with a POSIX shell" >&2
   { (exit 1); exit 1; }; }

  #  Don't  try  to  exec as it changes $[0], causing all sort of
problems
  # (the dirname of $[0] is not the place where we might find the
  #  original  and  so  on.   Autoconf  is especially sensible to
this).
  . ./$as_me.lineno
  # Exit status is that of the last command.
  exit }


case `echo "testing  *c*,-n*) ECHO_N= ECHO_C='
  *c*,*  ) ECHO_N=-n ECHO_C= ECHO_T= ;;
  *)       ECHO_N= ECHO_C='esac

if expr a : '' >/dev/null 2>&1; then
  as_expr=expr else
  as_expr=false fi

rm -f conf$$ conf$$.exe conf$$.file echo >conf$$.file  if  ln  -s
conf$$.file conf$$ 2>/dev/null; then
  #  We  could just check for DJGPP; but this test a) works b) is
more generic
  # and c) will remain valid once DJGPP supports symlinks  (DJGPP
2.04).
  if test -f conf$$.exe; then
    # Don't use ln at all; we don't have any links
    as_ln_s='cp -p'
  else
    as_ln_s='ln -s'
  fi elif ln conf$$.file conf$$ 2>/dev/null; then
  as_ln_s=ln else
  as_ln_s='cp -p' fi rm -f conf$$ conf$$.exe conf$$.file

if mkdir -p . 2>/dev/null; then
# IFS # We need space, tab and new line, in precisely that order.
as_nl=' IFS="   $as_nl"

# CDPATH.  $as_unset CDPATH


#  Name  of the host.  # hostname on some systems (SVR3.2, Linux)
returns a bogus exit status, # so uname gets run  too.   ac_host-
name=`(hostname || uname -n) 2>/dev/null | sed 1q`

exec 6>&1

#  #  Initializations.   #  ac_default_prefix=/usr/local  ac_con-
fig_libobj_dir=.  cross_compiling=no subdirs= MFLAGS=  MAKEFLAGS=
SHELL=${CONFIG_SHELL-/bin/sh}

#  Maximum  number  of  lines to put in a shell here document.  #
This variable seems obsolete.  It should probably be removed, and
#     only     ac_max_sed_lines     should     be     used.     :
${ac_max_here_lines=38}

# Identity of this  package.   PACKAGE_NAME='drill'  PACKAGE_TAR-
NAME='drill' PACKAGE_VERSION='1.1.0' PACKAGE_STRING='drill 1.1.0'
PACKAGE_BUGREPORT='libdns@nlnetlabs.nl'

ac_unique_file="drill_util.h" #  Factoring  default  headers  for
most    tests.    ac_includes_default="#include   <stdio.h>   #if
HAVE_SYS_TYPES_H   #    include    <sys/types.h>    #endif    #if
HAVE_SYS_STAT_H  # include <sys/stat.h> #endif #if STDC_HEADERS #
include <stdlib.h> # include <stddef.h> #else # if  HAVE_STDLIB_H
#   include  <stdlib.h>  #  endif  #endif  #if HAVE_STRING_H # if
!STDC_HEADERS && HAVE_MEMORY_H #  include <memory.h>  #  endif  #
include   <string.h>   #endif   #if   HAVE_STRINGS_H   #  include
confdefs.h

# Predefined preprocessor variables.

cat >>confdefs.h <<_ACEOF @%:@define PACKAGE_NAME "$PACKAGE_NAME"
_ACEOF


cat  >>confdefs.h  <<_ACEOF  @%:@define  PACKAGE_TARNAME  "$PACK-
AGE_TARNAME" _ACEOF

to.   # Prefer explicitly selected file to automatically selected
ones.  if test -z "$CONFIG_SITE"; then
  if test "x$prefix" != xNONE; then
    CONFIG_SITE="$prefix/share/config.site       $prefix/etc/con-
fig.site"
  else
    CONFIG_SITE="$ac_default_prefix/share/config.site     $ac_de-
fault_prefix/etc/config.site"
  fi fi for ac_site_file in $CONFIG_SITE; do
  if test -r "$ac_site_file"; then
    { echo "$as_me:$LINENO: loading  site  script  $ac_site_file"
>&5 echo "$as_me: loading site script $ac_site_file" >&6;}
    sed 's/^/| /' "$ac_site_file" >&5
    . "$ac_site_file"
  fi done

if test -r "$cache_file"; then
  # Some versions of bash will fail to source /dev/null (special
  # files actually), so we avoid doing that.
  if test -f "$cache_file"; then
    {  echo  "$as_me:$LINENO: loading cache $cache_file" >&5 echo
"$as_me: loading cache $cache_file" >&6;}
    case $cache_file in
      [\/]* | ?:[\/]* ) . $cache_file;;
      *)                      . ./$cache_file;;
    esac
  fi else
  { echo "$as_me:$LINENO: creating cache  $cache_file"  >&5  echo
"$as_me: creating cache $cache_file" >&6;}
  >$cache_file fi

#  Check that the precious variables saved in the cache have kept
the same # value.  ac_cache_corrupted=false for ac_var in  `(set)
2>&1 |                sed -n 's/^ac_env_-zA-Z_0-9]*_set=.*/1/p'`;
do
  eval ac_old_set=c_cv_env_${ac_var}_set
  eval ac_new_set=c_env_${ac_var}_set
  eval ac_old_val="c_cv_env_${ac_var}_value"
  eval ac_new_val="c_env_${ac_var}_value"
  case $ac_old_set,$ac_new_set in
    set,)
      {  echo  "$as_me:$LINENO:  error:  `$ac_var'  was  set   to
`$ac_old_val'  in  the  previous  run"  >&5  echo "$as_me: error:
`$ac_var' was set to `$ac_old_val' in the previous run" >&2;}
      ac_cache_corrupted=: ;;
    ,set)
      { echo "$as_me:$LINENO: error: `$ac_var' was not set in the
previous  run"  >&5 echo "$as_me: error: `$ac_var' was not set in
the previous run" >&2;}
      ac_cache_corrupted=: ;;
    ,);;
    *)

sed "s/'/'\\\\''/g"` ;;
    *) ac_arg=$ac_var=$ac_new_val ;;
    esac
    case " $ac_configure_args " in
      *" '$ac_arg' "*) ;; # Avoid dups.  Use  of  quotes  ensures
accuracy.
      *) ac_configure_args="$ac_configure_args '$ac_arg'" ;;
    esac
  fi done if $ac_cache_corrupted; then
  {  echo  "$as_me:$LINENO: error: changes in the environment can
compromise the build" >&5 echo "$as_me: error: changes in the en-
vironment can compromise the build" >&2;}
  {  {  echo  "$as_me:$LINENO: error: run `make distclean' and/or
`rm $cache_file' and start over" >&5  echo  "$as_me:  error:  run
`make distclean' and/or `rm $cache_file' and start over" >&2;}
   { (exit 1); exit 1; }; } fi

ac_ext=c   ac_cpp='$CPP  $CPPFLAGS'  ac_compile='$CC  -c  $CFLAGS
$CPPFLAGS conftest.$ac_ext >&5' ac_link='$CC -o  conftest$ac_exe-
ext   $CFLAGS  $CPPFLAGS  $LDFLAGS  conftest.$ac_ext  $LIBS  >&5'
ac_compiler_gnu=$ac_cv_c_compiler_gnu





























OURCFLAGS='-g' CFLAGS=${CFLAGS:-${OURCFLAGS}}

  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
  for ac_exec_ext in '' $ac_executable_extensions; do
  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_CC="${ac_tool_prefix}gcc"
    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi done done

fi fi CC=$ac_cv_prog_CC if test -n "$CC"; then
  echo "$as_me:$LINENO: result: $CC" >&5 echo "${ECHO_T}$CC"  >&6
else
  echo "$as_me:$LINENO: result: no" >&5 echo "${ECHO_T}no" >&6 fi

fi if test -z "$ac_cv_prog_CC"; then
  ac_ct_CC=$CC
  # Extract the first word of "gcc", so it can be a program  name
with  args.   set  dummy  gcc;  ac_word=$2  echo "$as_me:$LINENO:
checking for $ac_word" >&5 echo $ECHO_N "checking for $ac_word...
$ECHO_C" >&6 if test "${ac_cv_prog_ac_ct_CC+set}" = set; then
  echo $ECHO_N "(cached) $ECHO_C" >&6 else
  if test -n "$ac_ct_CC"; then
  ac_cv_prog_ac_ct_CC="$ac_ct_CC"  #  Let  the  user override the
test.  else as_save_IFS=$IFS; IFS=$PATH_SEPARATOR for  as_dir  in
$PATH do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
  for ac_exec_ext in '' $ac_executable_extensions; do
  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_ac_ct_CC="gcc"
    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi done done

fi fi ac_ct_CC=$ac_cv_prog_ac_ct_CC if test -n "$ac_ct_CC"; then
  echo   "$as_me:$LINENO:    result:    $ac_ct_CC"    >&5    echo
"${ECHO_T}$ac_ct_CC" >&6 else
  echo "$as_me:$LINENO: result: no" >&5 echo "${ECHO_T}no" >&6 fi

  CC=$ac_ct_CC else
  CC="$ac_cv_prog_CC" fi

if test -z "$CC"; then
  if test -n "$ac_tool_prefix"; then
  # Extract the first word of "${ac_tool_prefix}cc", so it can be
a   program  name  with  args.   set  dummy  ${ac_tool_prefix}cc;
ac_word=$2 echo "$as_me:$LINENO: checking for $ac_word" >&5  echo
$ECHO_N   "checking   for   $ac_word...   $ECHO_C"  >&6  if  test
"${ac_cv_prog_CC+set}" = set; then
  echo $ECHO_N "(cached) $ECHO_C" >&6 else
  if test -n "$CC"; then
  ac_cv_prog_CC="$CC" # Let the user  override  the  test.   else

fi if test -z "$ac_cv_prog_CC"; then
  ac_ct_CC=$CC
  # Extract the first word of "cc", so it can be a  program  name
with args.  set dummy cc; ac_word=$2 echo "$as_me:$LINENO: check-
ing for $ac_word" >&5  echo  $ECHO_N  "checking  for  $ac_word...
$ECHO_C" >&6 if test "${ac_cv_prog_ac_ct_CC+set}" = set; then
  echo $ECHO_N "(cached) $ECHO_C" >&6 else
  if test -n "$ac_ct_CC"; then
  ac_cv_prog_ac_ct_CC="$ac_ct_CC"  #  Let  the  user override the
test.  else as_save_IFS=$IFS; IFS=$PATH_SEPARATOR for  as_dir  in
$PATH do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
  for ac_exec_ext in '' $ac_executable_extensions; do
  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_ac_ct_CC="cc"
    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi done done

fi fi ac_ct_CC=$ac_cv_prog_ac_ct_CC if test -n "$ac_ct_CC"; then
  echo   "$as_me:$LINENO:    result:    $ac_ct_CC"    >&5    echo
"${ECHO_T}$ac_ct_CC" >&6 else
  echo "$as_me:$LINENO: result: no" >&5 echo "${ECHO_T}no" >&6 fi

  CC=$ac_ct_CC else
  CC="$ac_cv_prog_CC" fi

fi if test -z "$CC"; then
  # Extract the first word of "cc", so it can be a  program  name
with args.  set dummy cc; ac_word=$2 echo "$as_me:$LINENO: check-
ing for $ac_word" >&5  echo  $ECHO_N  "checking  for  $ac_word...
$ECHO_C" >&6 if test "${ac_cv_prog_CC+set}" = set; then
  echo $ECHO_N "(cached) $ECHO_C" >&6 else
  if test -n "$CC"; then
  ac_cv_prog_CC="$CC" # Let the user override the test.  else
  ac_prog_rejected=no  as_save_IFS=$IFS;  IFS=$PATH_SEPARATOR for
as_dir in $PATH do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
  for ac_exec_ext in '' $ac_executable_extensions; do
  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    if test "$as_dir/$ac_word$ac_exec_ext" = "/usr/ucb/cc"; then
       ac_prog_rejected=yes
       continue
     fi
    ac_cv_prog_CC="cc"
    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi done done

else
  echo "$as_me:$LINENO: result: no" >&5 echo "${ECHO_T}no" >&6 fi

fi if test -z "$CC"; then
  if test -n "$ac_tool_prefix"; then
  for ac_prog in cl
  do
    #  Extract the first word of "$ac_tool_prefix$ac_prog", so it
can be  a  program  name  with  args.   set  dummy  $ac_tool_pre-
fix$ac_prog;   ac_word=$2   echo  "$as_me:$LINENO:  checking  for
$ac_word" >&5 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_prog_CC+set}" = set; then
  echo $ECHO_N "(cached) $ECHO_C" >&6 else
  if test -n "$CC"; then
  ac_cv_prog_CC="$CC"  #  Let  the  user override the test.  else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR for as_dir in $PATH do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
  for ac_exec_ext in '' $ac_executable_extensions; do
  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_CC="$ac_tool_prefix$ac_prog"
    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi done done

fi fi CC=$ac_cv_prog_CC if test -n "$CC"; then
  echo  "$as_me:$LINENO: result: $CC" >&5 echo "${ECHO_T}$CC" >&6
else
  echo "$as_me:$LINENO: result: no" >&5 echo "${ECHO_T}no" >&6 fi

    test -n "$CC" && break
  done fi if test -z "$CC"; then
  ac_ct_CC=$CC
  for ac_prog in cl do
  #  Extract the first word of "$ac_prog", so it can be a program
name  with   args.    set   dummy   $ac_prog;   ac_word=$2   echo
"$as_me:$LINENO:  checking for $ac_word" >&5 echo $ECHO_N "check-
ing     for     $ac_word...     $ECHO_C"     >&6     if      test
"${ac_cv_prog_ac_ct_CC+set}" = set; then
  echo $ECHO_N "(cached) $ECHO_C" >&6 else
  if test -n "$ac_ct_CC"; then
  ac_cv_prog_ac_ct_CC="$ac_ct_CC"  #  Let  the  user override the
test.  else as_save_IFS=$IFS; IFS=$PATH_SEPARATOR for  as_dir  in
$PATH do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
  for ac_exec_ext in '' $ac_executable_extensions; do
  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_ac_ct_CC="$ac_prog"
    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi done done

compiler  found  in  ATH  See `config.log' for more details." >&5
echo "$as_me: error: no acceptable C compiler found  in  ATH  See
`config.log' for more details." >&2;}
   { (exit 1); exit 1; }; }

#   Provide   some   information   about   the   compiler.   echo
"$as_me:$LINENO:"      "checking  for  C  compiler  version"  >&5
ac_compiler=`set   X   $ac_compile;   echo   $2`   {  (eval  echo
"$as_me:$LINENO:
  (eval $ac_compiler --version </dev/null >&5) 2>&5
  ac_status=$?
  echo "$as_me:$LINENO:  = $ac_status" >&5
  (exit $ac_status); } { (eval echo "$as_me:$LINENO:
  (eval $ac_compiler -v </dev/null >&5) 2>&5
  ac_status=$?
  echo "$as_me:$LINENO:  = $ac_status" >&5
  (exit $ac_status); } { (eval echo "$as_me:$LINENO:
  (eval $ac_compiler -V </dev/null >&5) 2>&5
  ac_status=$?
  echo "$as_me:$LINENO:  = $ac_status" >&5
  (exit $ac_status); }

cat >conftest.$ac_ext <<_ACEOF  /*  confdefs.h.   */  _ACEOF  cat
confdefs.h  >>conftest.$ac_ext cat >>conftest.$ac_ext <<_ACEOF /*
end confdefs.h.  */

int main () {

  ;
  return   0;   }   _ACEOF    ac_clean_files_save=$ac_clean_files
ac_clean_files="$ac_clean_files  a.out a.exe b.out" # Try to cre-
ate an executable without -o first, disregard a.out.  #  It  will
help us diagnose broken compilers, and finding out an intuition #
of exeext.  echo "$as_me:$LINENO: checking for C compiler default
output  file  name" >&5 echo $ECHO_N "checking for C compiler de-
fault output  file  name...  $ECHO_C"  >&6  ac_link_default=`echo
"$ac_link"  |  sed  's/  -o  *conftest[^  ]*//'`  if { (eval echo
"$as_me:$LINENO:
  (eval $ac_link_default) 2>&5
  ac_status=$?
  echo "$as_me:$LINENO:  = $ac_status" >&5
  (exit $ac_status); }; then
  # Find the output, starting from the most likely.  This  scheme
is  # not robust to junk in `.', hence go to wildcards (a.*) only
as a last # resort.

# Be careful to initialize this variable, since  it  used  to  be
cached.   # Otherwise an old cache value of `no' led to `EXEEXT =
no' in a Makefile.  ac_cv_exeext= # b.out is created by i960 com-
pilers.   for  ac_file in a_out.exe a.exe conftest.exe a.out con-
ftest a.* conftest.* b.out do
  test -f "$ac_file" || continue
  echo  "$as_me:  failed  program  was:"  >&5  sed 's/^/| /' con-
ftest.$ac_ext >&5

{ { echo "$as_me:$LINENO: error: C compiler  cannot  create  exe-
cutables  See  `config.log'  for more details." >&5 echo "$as_me:
error: C compiler cannot create executables See `config.log'  for
more details." >&2;}
   { (exit 77); exit 77; }; } fi

ac_exeext=$ac_cv_exeext  echo  "$as_me:$LINENO: result: $ac_file"
>&5 echo "${ECHO_T}$ac_file" >&6

# Check the compiler produces executables we can  run.   If  not,
either  #  the  compiler  is  broken,  or we cross compile.  echo
"$as_me:$LINENO: checking whether the C compiler works" >&5  echo
$ECHO_N  "checking whether the C compiler works... $ECHO_C" >&6 #
FIXME: These cross compiler hacks should be removed for  Autoconf
3.0 # If not cross compiling, check that we can run a simple pro-
gram.  if test "$cross_compiling" != yes; then
  if { ac_try='./$ac_file'
  { (eval echo "$as_me:$LINENO:
  (eval $ac_try) 2>&5
  ac_status=$?
  echo "$as_me:$LINENO:  = $ac_status" >&5
  (exit $ac_status); }; }; then
    cross_compiling=no
  else
    if test "$cross_compiling" = maybe;  then          cross_com-
piling=yes
    else          {  {  echo "$as_me:$LINENO: error: cannot run C
compiled programs.  If you meant to cross compile, use  `--host'.
See `config.log' for more details." >&5 echo "$as_me: error: can-
not run C compiled programs.  If you meant to cross compile,  use
`--host'.  See `config.log' for more details." >&2;}
   { (exit 1); exit 1; }; }
    fi
  fi   fi   echo   "$as_me:$LINENO:   result:   yes"   >&5   echo
"${ECHO_T}yes" >&6

rm     -f     a.out     a.exe     conftest$ac_cv_exeext     b.out
ac_clean_files=$ac_clean_files_save # Check the compiler produces
executables we can run.  If not, either # the compiler is broken,
or  we  cross compile.  echo "$as_me:$LINENO: checking whether we
are cross compiling" >&5 echo $ECHO_N "checking  whether  we  are
cross  compiling...  $ECHO_C"  >&6  echo "$as_me:$LINENO: result:
$cross_compiling" >&5 echo "${ECHO_T}$cross_compiling" >&6

echo "$as_me:$LINENO: checking for  suffix  of  executables"  >&5
echo  $ECHO_N "checking for suffix of executables... $ECHO_C" >&6
if { (eval echo "$as_me:$LINENO:
  (eval $ac_link) 2>&5
  ac_status=$?
  esac done else
  { { echo "$as_me:$LINENO: error: cannot compute suffix of  exe-
cutables:  cannot  compile and link See `config.log' for more de-
tails." >&5 echo "$as_me: error: cannot compute  suffix  of  exe-
cutables:  cannot  compile and link See `config.log' for more de-
tails." >&2;}
   { (exit 1); exit 1; }; } fi

rm  -f  conftest$ac_cv_exeext   echo   "$as_me:$LINENO:   result:
$ac_cv_exeext" >&5 echo "${ECHO_T}$ac_cv_exeext" >&6

rm  -f  conftest.$ac_ext  EXEEXT=$ac_cv_exeext  ac_exeext=$EXEEXT
echo "$as_me:$LINENO: checking for suffix of  object  files"  >&5
echo $ECHO_N "checking for suffix of object files... $ECHO_C" >&6
if test "${ac_cv_objext+set}" = set; then
  echo $ECHO_N "(cached) $ECHO_C" >&6 else
  cat >conftest.$ac_ext <<_ACEOF /* confdefs.h.   */  _ACEOF  cat
confdefs.h  >>conftest.$ac_ext cat >>conftest.$ac_ext <<_ACEOF /*
end confdefs.h.  */

int main () {

  ;
  return 0; } _ACEOF rm -f conftest.o  conftest.obj  if  {  (eval
echo "$as_me:$LINENO:
  (eval $ac_compile) 2>&5
  ac_status=$?
  echo "$as_me:$LINENO:  = $ac_status" >&5
  (exit $ac_status); }; then
  for  ac_file  in  `(ls  conftest.o conftest.obj; ls conftest.*)
2>/dev/null`; do
  case $ac_file in
    *.$ac_ext | *.xcoff | *.tds | *.d | *.pdb | *.xSYM |  *.bb  |
*.bbg ) ;;
    *) ac_cv_objext=`expr "$ac_file" : '.*.'`
       break;;
  esac done else
  echo  "$as_me:  failed  program  was:"  >&5  sed 's/^/| /' con-
ftest.$ac_ext >&5

{ { echo "$as_me:$LINENO: error: cannot compute suffix of  object
files:  cannot  compile  See  `config.log' for more details." >&5
echo "$as_me: error: cannot compute suffix of object files:  can-
not compile See `config.log' for more details." >&2;}
   { (exit 1); exit 1; }; } fi

rm    -f    conftest.$ac_cv_objext   conftest.$ac_ext   fi   echo
"$as_me:$LINENO:     result:     $ac_cv_objext"     >&5      echo
"${ECHO_T}$ac_cv_objext"  >&6 OBJEXT=$ac_cv_objext ac_objext=$OB-
JEXT echo "$as_me:$LINENO: checking whether we are using the  GNU
C  compiler"  >&5 echo $ECHO_N "checking whether we are using the
GNU  C  compiler...  $ECHO_C"  >&6  if  test   "${ac_cv_c_compil-
  grep -v '^ *+' conftest.er1 >conftest.err
  rm -f conftest.er1
  cat conftest.err >&5
  echo "$as_me:$LINENO:  = $ac_status" >&5
  (exit $ac_status); } &&          { ac_try='test -z  "$ac_c_wer-
ror_flag"                   || test ! -s conftest.err'
  { (eval echo "$as_me:$LINENO:
  (eval $ac_try) 2>&5
  ac_status=$?
  echo "$as_me:$LINENO:  = $ac_status" >&5
  (exit  $ac_status);  };  }  &&           { ac_try='test -s con-
ftest.$ac_objext'
  { (eval echo "$as_me:$LINENO:
  (eval $ac_try) 2>&5
  ac_status=$?
  echo "$as_me:$LINENO:  = $ac_status" >&5
  (exit $ac_status); }; }; then
  ac_compiler_gnu=yes else
  echo "$as_me: failed program  was:"  >&5  sed  's/^/|  /'  con-
ftest.$ac_ext >&5

ac_compiler_gnu=no fi rm -f conftest.err conftest.$ac_objext con-
ftest.$ac_ext ac_cv_c_compiler_gnu=$ac_compiler_gnu

fi echo "$as_me:$LINENO: result: $ac_cv_c_compiler_gnu" >&5  echo
"${ECHO_T}$ac_cv_c_compiler_gnu" >&6 GCC=`test $ac_compiler_gnu =
yes      &&      echo      yes`      ac_test_CFLAGS=${CFLAGS+set}
ac_save_CFLAGS=$CFLAGS CFLAGS="-g" echo "$as_me:$LINENO: checking
whether $CC accepts -g" >&5 echo $ECHO_N  "checking  whether  $CC
accepts  -g...  $ECHO_C"  >&6  if test "${ac_cv_prog_cc_g+set}" =
set; then
  echo $ECHO_N "(cached) $ECHO_C" >&6 else
  cat >conftest.$ac_ext <<_ACEOF /* confdefs.h.   */  _ACEOF  cat
confdefs.h  >>conftest.$ac_ext cat >>conftest.$ac_ext <<_ACEOF /*
end confdefs.h.  */

int main () {

  ;
  return 0; } _ACEOF rm -f conftest.$ac_objext if  {  (eval  echo
"$as_me:$LINENO:
  (eval $ac_compile) 2>conftest.er1
  ac_status=$?
  grep -v '^ *+' conftest.er1 >conftest.err
  rm -f conftest.er1
  cat conftest.err >&5
  echo "$as_me:$LINENO:  = $ac_status" >&5
  (exit  $ac_status); } &&          { ac_try='test -z "$ac_c_wer-
ror_flag"                   || test ! -s conftest.err'
  { (eval echo "$as_me:$LINENO:
  (eval $ac_try) 2>&5
  ac_status=$?

>&5    echo    "${ECHO_T}$ac_cv_prog_cc_g"    >&6     if     test
"$ac_test_CFLAGS" = set; then
  CFLAGS=$ac_save_CFLAGS elif test $ac_cv_prog_cc_g = yes; then
  if test "$GCC" = yes; then
    CFLAGS="-g -O2"
  else
    CFLAGS="-g"
  fi else
  if test "$GCC" = yes; then
    CFLAGS="-O2"
  else
    CFLAGS=
  fi  fi  echo "$as_me:$LINENO: checking for $CC option to accept
ANSI C" >&5 echo $ECHO_N "checking for $CC option to accept  ANSI
C... $ECHO_C" >&6 if test "${ac_cv_prog_cc_stdc+set}" = set; then
  echo $ECHO_N "(cached) $ECHO_C" >&6 else
  ac_cv_prog_cc_stdc=no  ac_save_CC=$CC   cat   >conftest.$ac_ext
<<_ACEOF   /*   confdefs.h.   */  _ACEOF  cat  confdefs.h  >>con-
ftest.$ac_ext cat >>conftest.$ac_ext <<_ACEOF /* end  confdefs.h.
*/  #include <stdarg.h> #include <stdio.h> #include <sys/types.h>
#include <sys/stat.h> /* Most of the following tests  are  stolen
from  RCS  5.7's  src/conf.sh.   */ struct buf { int x; }; FILE *
(*rcsopen) (struct buf *, struct stat *, int); static char *e (p,
i)
     char **p;
     int i; {
  return p[i]; } static char *f (char * (*g) (char **, int), char
**p, ...)  {
  char *s;
  va_list v;
  va_start (v,p);
  s = g (p, va_arg (v,int));
  va_end (v);
  return s; }

/* OSF 4.0 Compaq cc is some sort of almost-ANSI by default.   It
has
   function  prototypes  and stuff, but not '' hex character con-
stants.
   These  don't  provoke  an  error  unfortunately,  instead  are
silently treated
   as  'x'.  The following induces an error, until -std1 is added
to get
   proper ANSI mode.  Curiously '0'!='x' always comes  out  true,
for an
   array  size  at  least.  It's necessary to write '0'==0 to get
something
   that's true only with -std1.  */ int osf4_cc_array ['0' == 0 ?
1 : -1];

int test (int i, double x); struct s1 {int (*f) (int a);}; struct
s2 {int (*f) (double a);}; int  pairnames  (int,  char  **,  FILE
  ac_status=$?
  grep -v '^ *+' conftest.er1 >conftest.err
  rm -f conftest.er1
  cat conftest.err >&5
  echo "$as_me:$LINENO:  = $ac_status" >&5
  (exit  $ac_status); } &&          { ac_try='test -z "$ac_c_wer-
ror_flag"                   || test ! -s conftest.err'
  { (eval echo "$as_me:$LINENO:
  (eval $ac_try) 2>&5
  ac_status=$?
  echo "$as_me:$LINENO:  = $ac_status" >&5
  (exit $ac_status); }; } &&            {  ac_try='test  -s  con-
ftest.$ac_objext'
  { (eval echo "$as_me:$LINENO:
  (eval $ac_try) 2>&5
  ac_status=$?
  echo "$as_me:$LINENO:  = $ac_status" >&5
  (exit $ac_status); }; }; then
  ac_cv_prog_cc_stdc=$ac_arg break else
  echo  "$as_me:  failed  program  was:"  >&5  sed 's/^/| /' con-
ftest.$ac_ext >&5

fi  rm  -f  conftest.err  conftest.$ac_objext  done  rm  -f  con-
ftest.$ac_ext conftest.$ac_objext CC=$ac_save_CC

fi

case "x$ac_cv_prog_cc_stdc" in
  x|xno)
    echo   "$as_me:$LINENO:   result:   none   needed"  >&5  echo
"${ECHO_T}none needed" >&6 ;;
  *)
    echo "$as_me:$LINENO: result: $ac_cv_prog_cc_stdc"  >&5  echo
"${ECHO_T}$ac_cv_prog_cc_stdc" >&6
    CC="$CC $ac_cv_prog_cc_stdc" ;; esac

# Some people use a C++ compiler to compile C.  Since we use `ex-
it', # in C++ we need to declare it.  In case  someone  uses  the
same  compiler # for both compiling C and C++ we need to have the
C++ compiler decide # the declaration of  exit,  since  it's  the
most   demanding  environment.   cat  >conftest.$ac_ext  <<_ACEOF
@%:@ifndef __cplusplus
  choke me @%:@endif _ACEOF rm -f conftest.$ac_objext if {  (eval
echo "$as_me:$LINENO:
  (eval $ac_compile) 2>conftest.er1
  ac_status=$?
  grep -v '^ *+' conftest.er1 >conftest.err
  rm -f conftest.er1
  cat conftest.err >&5
  echo "$as_me:$LINENO:  = $ac_status" >&5
  (exit  $ac_status); } &&          { ac_try='test -z "$ac_c_wer-
ror_flag"                   || test ! -s conftest.err'
'extern "C" void exit (int);'    'void exit (int);' do
  cat >conftest.$ac_ext <<_ACEOF /* confdefs.h.   */  _ACEOF  cat
confdefs.h  >>conftest.$ac_ext cat >>conftest.$ac_ext <<_ACEOF /*
end confdefs.h.  */ $ac_declaration  @%:@include  <stdlib.h>  int
main () { exit (42);
  ;
  return  0;  }  _ACEOF rm -f conftest.$ac_objext if { (eval echo
"$as_me:$LINENO:
  (eval $ac_compile) 2>conftest.er1
  ac_status=$?
  grep -v '^ *+' conftest.er1 >conftest.err
  rm -f conftest.er1
  cat conftest.err >&5
  echo "$as_me:$LINENO:  = $ac_status" >&5
  (exit $ac_status); } &&          { ac_try='test -z  "$ac_c_wer-
ror_flag"                   || test ! -s conftest.err'
  { (eval echo "$as_me:$LINENO:
  (eval $ac_try) 2>&5
  ac_status=$?
  echo "$as_me:$LINENO:  = $ac_status" >&5
  (exit  $ac_status);  };  }  &&           { ac_try='test -s con-
ftest.$ac_objext'
  { (eval echo "$as_me:$LINENO:
  (eval $ac_try) 2>&5
  ac_status=$?
  echo "$as_me:$LINENO:  = $ac_status" >&5
  (exit $ac_status); }; }; then
  : else
  echo "$as_me: failed program  was:"  >&5  sed  's/^/|  /'  con-
ftest.$ac_ext >&5

continue   fi   rm   -f   conftest.err  conftest.$ac_objext  con-
ftest.$ac_ext
  cat >conftest.$ac_ext <<_ACEOF /* confdefs.h.   */  _ACEOF  cat
confdefs.h  >>conftest.$ac_ext cat >>conftest.$ac_ext <<_ACEOF /*
end confdefs.h.  */ $ac_declaration int main () { exit (42);
  ;
  return 0; } _ACEOF rm -f conftest.$ac_objext if  {  (eval  echo
"$as_me:$LINENO:
  (eval $ac_compile) 2>conftest.er1
  ac_status=$?
  grep -v '^ *+' conftest.er1 >conftest.err
  rm -f conftest.er1
  cat conftest.err >&5
  echo "$as_me:$LINENO:  = $ac_status" >&5
  (exit  $ac_status); } &&          { ac_try='test -z "$ac_c_wer-
ror_flag"                   || test ! -s conftest.err'
  { (eval echo "$as_me:$LINENO:
  (eval $ac_try) 2>&5
  ac_status=$?
  echo "$as_me:$LINENO:  = $ac_status" >&5
  (exit $ac_status); }; } &&            {  ac_try='test  -s  con-
  echo '#endif'             >>confdefs.h fi

else
  echo  "$as_me:  failed  program  was:"  >&5  sed 's/^/| /' con-
ftest.$ac_ext >&5

fi  rm  -f  conftest.err   conftest.$ac_objext   conftest.$ac_ext
ac_ext=c   ac_cpp='$CPP  $CPPFLAGS'  ac_compile='$CC  -c  $CFLAGS
$CPPFLAGS conftest.$ac_ext >&5' ac_link='$CC -o  conftest$ac_exe-
ext   $CFLAGS  $CPPFLAGS  $LDFLAGS  conftest.$ac_ext  $LIBS  >&5'
ac_compiler_gnu=$ac_cv_c_compiler_gnu


ac_ext=c  ac_cpp='$CPP  $CPPFLAGS'  ac_compile='$CC  -c   $CFLAGS
$CPPFLAGS  conftest.$ac_ext >&5' ac_link='$CC -o conftest$ac_exe-
ext  $CFLAGS  $CPPFLAGS  $LDFLAGS  conftest.$ac_ext  $LIBS   >&5'
ac_compiler_gnu=$ac_cv_c_compiler_gnu    echo    "$as_me:$LINENO:
checking how to run the C preprocessor" >&5 echo $ECHO_N  "check-
ing  how  to  run  the  C preprocessor... $ECHO_C" >&6 # On Suns,
sometimes $CPP names a directory.  if test -n "$CPP" &&  test  -d
"$CPP"; then
  CPP= fi if test -z "$CPP"; then
  if test "${ac_cv_prog_CPP+set}" = set; then
  echo $ECHO_N "(cached) $ECHO_C" >&6 else
      # Double quotes because CPP needs to be expanded
    for CPP in "$CC -E" "$CC -E -traditional-cpp" "/lib/cpp"
    do
      ac_preproc_ok=false for ac_c_preproc_warn_flag in '' yes do
  # Use a header file that comes with gcc, so configuring glibc
  # with a fresh cross-compiler works.
  # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
  # <limits.h> exists even on freestanding compilers.
  # On the NeXT, cc -E runs the code through the compiler's pars-
er,
  # not just through cpp. "Syntax error" is here  to  catch  this
case.
  cat  >conftest.$ac_ext  <<_ACEOF  /* confdefs.h.  */ _ACEOF cat
confdefs.h >>conftest.$ac_ext cat >>conftest.$ac_ext <<_ACEOF  /*
end  confdefs.h.   */  @%:@ifdef __STDC__ @%:@ include <limits.h>
@%:@else  @%:@  include  <assert.h>  @%:@endif
Syntax error _ACEOF if { (eval echo "$as_me:$LINENO:
  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
  ac_status=$?
  grep -v '^ *+' conftest.er1 >conftest.err
  rm -f conftest.er1
  cat conftest.err >&5
  echo "$as_me:$LINENO:  = $ac_status" >&5
  (exit $ac_status); } >/dev/null; then
  if test -s conftest.err; then
    ac_cpp_err=$ac_c_preproc_warn_flag
    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
  else

confdefs.h  >>conftest.$ac_ext cat >>conftest.$ac_ext <<_ACEOF /*
end confdefs.h.  */ @%:@include <ac_nonexistent.h>  _ACEOF  if  {
(eval echo "$as_me:$LINENO:
  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
  ac_status=$?
  grep -v '^ *+' conftest.er1 >conftest.err
  rm -f conftest.er1
  cat conftest.err >&5
  echo "$as_me:$LINENO:  = $ac_status" >&5
  (exit $ac_status); } >/dev/null; then
  if test -s conftest.err; then
    ac_cpp_err=$ac_c_preproc_warn_flag
    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
  else
    ac_cpp_err=
  fi else
  ac_cpp_err=yes fi if test -z "$ac_cpp_err"; then
  # Broken: success on invalid input.  continue else
  echo  "$as_me:  failed  program  was:"  >&5  sed 's/^/| /' con-
ftest.$ac_ext >&5

  # Passes both tests.   ac_preproc_ok=:  break  fi  rm  -f  con-
ftest.err conftest.$ac_ext

done # Because of `break', _AC_PREPROC_IFELSE's cleaning code was
skipped.  rm -f conftest.err conftest.$ac_ext if  $ac_preproc_ok;
then
  break fi

    done
    ac_cv_prog_CPP=$CPP

fi
  CPP=$ac_cv_prog_CPP else
  ac_cv_prog_CPP=$CPP  fi echo "$as_me:$LINENO: result: $CPP" >&5
echo  "${ECHO_T}$CPP"  >&6  ac_preproc_ok=false   for   ac_c_pre-
proc_warn_flag in '' yes do
  # Use a header file that comes with gcc, so configuring glibc
  # with a fresh cross-compiler works.
  # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
  # <limits.h> exists even on freestanding compilers.
  # On the NeXT, cc -E runs the code through the compiler's pars-
er,
  #  not  just  through cpp. "Syntax error" is here to catch this
case.
  cat >conftest.$ac_ext <<_ACEOF /* confdefs.h.   */  _ACEOF  cat
confdefs.h  >>conftest.$ac_ext cat >>conftest.$ac_ext <<_ACEOF /*
end confdefs.h.  */ @%:@ifdef __STDC__  @%:@  include  <limits.h>
@%:@else   @%:@  include  <assert.h>  @%:@endif
Syntax error _ACEOF if { (eval echo "$as_me:$LINENO:
  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
  ac_status=$?

ftest.$ac_ext >&5

  # Broken: fails on valid input.  continue fi rm -f conftest.err
conftest.$ac_ext

  # OK, works on sane  cases.   Now  check  whether  non-existent
headers
  # can be detected and how.
  cat  >conftest.$ac_ext  <<_ACEOF  /* confdefs.h.  */ _ACEOF cat
confdefs.h >>conftest.$ac_ext cat >>conftest.$ac_ext <<_ACEOF  /*
end  confdefs.h.   */  @%:@include <ac_nonexistent.h> _ACEOF if {
(eval echo "$as_me:$LINENO:
  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
  ac_status=$?
  grep -v '^ *+' conftest.er1 >conftest.err
  rm -f conftest.er1
  cat conftest.err >&5
  echo "$as_me:$LINENO:  = $ac_status" >&5
  (exit $ac_status); } >/dev/null; then
  if test -s conftest.err; then
    ac_cpp_err=$ac_c_preproc_warn_flag
    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
  else
    ac_cpp_err=
  fi else
  ac_cpp_err=yes fi if test -z "$ac_cpp_err"; then
  # Broken: success on invalid input.  continue else
  echo "$as_me: failed program  was:"  >&5  sed  's/^/|  /'  con-
ftest.$ac_ext >&5

  #  Passes  both  tests.   ac_preproc_ok=:  break  fi rm -f con-
ftest.err conftest.$ac_ext

done # Because of `break', _AC_PREPROC_IFELSE's cleaning code was
skipped.   rm -f conftest.err conftest.$ac_ext if $ac_preproc_ok;
then
  : else
  { { echo  "$as_me:$LINENO:  error:  C  preprocessor  See  `con-
fig.log' for more details." >&5 echo "$as_me: error: C preproces-
sor See `config.log' for more details." >&2;}
   { (exit 1); exit 1; }; } fi

ac_ext=c  ac_cpp='$CPP  $CPPFLAGS'  ac_compile='$CC  -c   $CFLAGS
$CPPFLAGS  conftest.$ac_ext >&5' ac_link='$CC -o conftest$ac_exe-
ext  $CFLAGS  $CPPFLAGS  $LDFLAGS  conftest.$ac_ext  $LIBS   >&5'
ac_compiler_gnu=$ac_cv_c_compiler_gnu


echo  "$as_me:$LINENO:  checking  for  egrep"  >&5  echo  $ECHO_N
"checking    for    egrep...     $ECHO_C"     >&6     if     test
"${ac_cv_prog_egrep+set}" = set; then
  echo $ECHO_N "(cached) $ECHO_C" >&6 else

_ACEOF if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
  $EGREP "yes" >/dev/null 2>&1; then
  echo  "$as_me:$LINENO: result: yes" >&5 echo "${ECHO_T}yes" >&6
cat >>confdefs.h <<_ACEOF @%:@define _ALL_SOURCE 1 _ACEOF

else
  echo "$as_me:$LINENO: result: no" >&5 echo "${ECHO_T}no" >&6 fi
rm -f conftest*


ac_ext=c   ac_cpp='$CPP  $CPPFLAGS'  ac_compile='$CC  -c  $CFLAGS
$CPPFLAGS conftest.$ac_ext >&5' ac_link='$CC -o  conftest$ac_exe-
ext   $CFLAGS  $CPPFLAGS  $LDFLAGS  conftest.$ac_ext  $LIBS  >&5'
ac_compiler_gnu=$ac_cv_c_compiler_gnu if test  -n  "$ac_tool_pre-
fix"; then
  #  Extract  the first word of "${ac_tool_prefix}gcc", so it can
be a program name with  args.   set  dummy  ${ac_tool_prefix}gcc;
ac_word=$2  echo "$as_me:$LINENO: checking for $ac_word" >&5 echo
$ECHO_N  "checking  for  $ac_word...   $ECHO_C"   >&6   if   test
"${ac_cv_prog_CC+set}" = set; then
  echo $ECHO_N "(cached) $ECHO_C" >&6 else
  if test -n "$CC"; then
  ac_cv_prog_CC="$CC"  #  Let  the  user override the test.  else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR for as_dir in $PATH do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
  for ac_exec_ext in '' $ac_executable_extensions; do
  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_CC="${ac_tool_prefix}gcc"
    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi done done

fi fi CC=$ac_cv_prog_CC if test -n "$CC"; then
  echo  "$as_me:$LINENO: result: $CC" >&5 echo "${ECHO_T}$CC" >&6
else
  echo "$as_me:$LINENO: result: no" >&5 echo "${ECHO_T}no" >&6 fi

fi if test -z "$ac_cv_prog_CC"; then
  ac_ct_CC=$CC
  #  Extract the first word of "gcc", so it can be a program name
with args.   set  dummy  gcc;  ac_word=$2  echo  "$as_me:$LINENO:
checking for $ac_word" >&5 echo $ECHO_N "checking for $ac_word...
$ECHO_C" >&6 if test "${ac_cv_prog_ac_ct_CC+set}" = set; then
  echo $ECHO_N "(cached) $ECHO_C" >&6 else
  if test -n "$ac_ct_CC"; then
  ac_cv_prog_ac_ct_CC="$ac_ct_CC" # Let  the  user  override  the
test.   else  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR for as_dir in
$PATH do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.

if test -z "$CC"; then
  if test -n "$ac_tool_prefix"; then
  # Extract the first word of "${ac_tool_prefix}cc", so it can be
a  program  name  with  args.   set  dummy   ${ac_tool_prefix}cc;
ac_word=$2  echo "$as_me:$LINENO: checking for $ac_word" >&5 echo
$ECHO_N  "checking  for  $ac_word...   $ECHO_C"   >&6   if   test
"${ac_cv_prog_CC+set}" = set; then
  echo $ECHO_N "(cached) $ECHO_C" >&6 else
  if test -n "$CC"; then
  ac_cv_prog_CC="$CC"  #  Let  the  user override the test.  else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR for as_dir in $PATH do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
  for ac_exec_ext in '' $ac_executable_extensions; do
  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_CC="${ac_tool_prefix}cc"
    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi done done

fi fi CC=$ac_cv_prog_CC if test -n "$CC"; then
  echo  "$as_me:$LINENO: result: $CC" >&5 echo "${ECHO_T}$CC" >&6
else
  echo "$as_me:$LINENO: result: no" >&5 echo "${ECHO_T}no" >&6 fi

fi if test -z "$ac_cv_prog_CC"; then
  ac_ct_CC=$CC
  #  Extract  the first word of "cc", so it can be a program name
with args.  set dummy cc; ac_word=$2 echo "$as_me:$LINENO: check-
ing  for  $ac_word"  >&5  echo  $ECHO_N "checking for $ac_word...
$ECHO_C" >&6 if test "${ac_cv_prog_ac_ct_CC+set}" = set; then
  echo $ECHO_N "(cached) $ECHO_C" >&6 else
  if test -n "$ac_ct_CC"; then
  ac_cv_prog_ac_ct_CC="$ac_ct_CC" # Let  the  user  override  the
test.   else  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR for as_dir in
$PATH do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
  for ac_exec_ext in '' $ac_executable_extensions; do
  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_ac_ct_CC="cc"
    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi done done

fi fi ac_ct_CC=$ac_cv_prog_ac_ct_CC if test -n "$ac_ct_CC"; then
  echo    "$as_me:$LINENO:    result:    $ac_ct_CC"    >&5   echo
"${ECHO_T}$ac_ct_CC" >&6 else
  echo "$as_me:$LINENO: result: no" >&5 echo "${ECHO_T}no" >&6 fi

  CC=$ac_ct_CC else
  for ac_exec_ext in '' $ac_executable_extensions; do
  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    if test "$as_dir/$ac_word$ac_exec_ext" = "/usr/ucb/cc"; then
       ac_prog_rejected=yes
       continue
     fi
    ac_cv_prog_CC="cc"
    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi done done

if test $ac_prog_rejected = yes; then
  # We found a bogon in the path, so make sure we never use it.
  set dummy $ac_cv_prog_CC
  shift
  if test $@%:@ != 0; then
    # We chose a different compiler from the bogus one.
    # However, it has the same basename, so  the  bogon  will  be
chosen
    #  first if we set CC to just the basename; use the full file
name.
    shift
    ac_cv_prog_CC="$as_dir/$ac_word${1+' '}$@"
  fi fi fi fi CC=$ac_cv_prog_CC if test -n "$CC"; then
  echo "$as_me:$LINENO: result: $CC" >&5 echo "${ECHO_T}$CC"  >&6
else
  echo "$as_me:$LINENO: result: no" >&5 echo "${ECHO_T}no" >&6 fi

fi if test -z "$CC"; then
  if test -n "$ac_tool_prefix"; then
  for ac_prog in cl
  do
    # Extract the first word of "$ac_tool_prefix$ac_prog", so  it
can  be  a  program  name  with  args.   set  dummy $ac_tool_pre-
fix$ac_prog;  ac_word=$2  echo  "$as_me:$LINENO:   checking   for
$ac_word" >&5 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_prog_CC+set}" = set; then
  echo $ECHO_N "(cached) $ECHO_C" >&6 else
  if test -n "$CC"; then
  ac_cv_prog_CC="$CC" # Let the user  override  the  test.   else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR for as_dir in $PATH do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
  for ac_exec_ext in '' $ac_executable_extensions; do
  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_CC="$ac_tool_prefix$ac_prog"
    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi done done

fi fi CC=$ac_cv_prog_CC if test -n "$CC"; then
  echo "$as_me:$LINENO: result: $CC" >&5 echo "${ECHO_T}$CC"  >&6
  ac_cv_prog_ac_ct_CC="$ac_ct_CC" # Let  the  user  override  the
test.   else  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR for as_dir in
$PATH do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
  for ac_exec_ext in '' $ac_executable_extensions; do
  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_ac_ct_CC="$ac_prog"
    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi done done

fi fi ac_ct_CC=$ac_cv_prog_ac_ct_CC if test -n "$ac_ct_CC"; then
  echo    "$as_me:$LINENO:    result:    $ac_ct_CC"    >&5   echo
"${ECHO_T}$ac_ct_CC" >&6 else
  echo "$as_me:$LINENO: result: no" >&5 echo "${ECHO_T}no" >&6 fi

  test -n "$ac_ct_CC" && break done

  CC=$ac_ct_CC fi

fi


test -z "$CC" && { { echo "$as_me:$LINENO: error: no acceptable C
compiler found in ATH See `config.log'  for  more  details."  >&5
echo  "$as_me:  error:  no acceptable C compiler found in ATH See
`config.log' for more details." >&2;}
   { (exit 1); exit 1; }; }

#  Provide   some   information   about   the   compiler.    echo
"$as_me:$LINENO:"       "checking  for  C  compiler  version" >&5
ac_compiler=`set  X  $ac_compile;   echo   $2`   {   (eval   echo
"$as_me:$LINENO:
  (eval $ac_compiler --version </dev/null >&5) 2>&5
  ac_status=$?
  echo "$as_me:$LINENO:  = $ac_status" >&5
  (exit $ac_status); } { (eval echo "$as_me:$LINENO:
  (eval $ac_compiler -v </dev/null >&5) 2>&5
  ac_status=$?
  echo "$as_me:$LINENO:  = $ac_status" >&5
  (exit $ac_status); } { (eval echo "$as_me:$LINENO:
  (eval $ac_compiler -V </dev/null >&5) 2>&5
  ac_status=$?
  echo "$as_me:$LINENO:  = $ac_status" >&5
  (exit $ac_status); }

echo  "$as_me:$LINENO:  checking  whether  we are using the GNU C
compiler" >&5 echo $ECHO_N "checking whether we are using the GNU
C  compiler... $ECHO_C" >&6 if test "${ac_cv_c_compiler_gnu+set}"
= set; then
  echo $ECHO_N "(cached) $ECHO_C" >&6 else
  cat conftest.err >&5
  echo "$as_me:$LINENO:  = $ac_status" >&5
  (exit  $ac_status); } &&          { ac_try='test -z "$ac_c_wer-
ror_flag"                   || test ! -s conftest.err'
  { (eval echo "$as_me:$LINENO:
  (eval $ac_try) 2>&5
  ac_status=$?
  echo "$as_me:$LINENO:  = $ac_status" >&5
  (exit $ac_status); }; } &&            {  ac_try='test  -s  con-
ftest.$ac_objext'
  { (eval echo "$as_me:$LINENO:
  (eval $ac_try) 2>&5
  ac_status=$?
  echo "$as_me:$LINENO:  = $ac_status" >&5
  (exit $ac_status); }; }; then
  ac_compiler_gnu=yes else
  echo  "$as_me:  failed  program  was:"  >&5  sed 's/^/| /' con-
ftest.$ac_ext >&5

ac_compiler_gnu=no fi rm -f conftest.err conftest.$ac_objext con-
ftest.$ac_ext ac_cv_c_compiler_gnu=$ac_compiler_gnu

fi  echo "$as_me:$LINENO: result: $ac_cv_c_compiler_gnu" >&5 echo
"${ECHO_T}$ac_cv_c_compiler_gnu" >&6 GCC=`test $ac_compiler_gnu =
yes      &&      echo      yes`      ac_test_CFLAGS=${CFLAGS+set}
ac_save_CFLAGS=$CFLAGS CFLAGS="-g" echo "$as_me:$LINENO: checking
whether  $CC  accepts  -g" >&5 echo $ECHO_N "checking whether $CC
accepts -g... $ECHO_C" >&6  if  test  "${ac_cv_prog_cc_g+set}"  =
set; then
  echo $ECHO_N "(cached) $ECHO_C" >&6 else
  cat  >conftest.$ac_ext  <<_ACEOF  /* confdefs.h.  */ _ACEOF cat
confdefs.h >>conftest.$ac_ext cat >>conftest.$ac_ext <<_ACEOF  /*
end confdefs.h.  */

int main () {

  ;
  return  0;  }  _ACEOF rm -f conftest.$ac_objext if { (eval echo
"$as_me:$LINENO:
  (eval $ac_compile) 2>conftest.er1
  ac_status=$?
  grep -v '^ *+' conftest.er1 >conftest.err
  rm -f conftest.er1
  cat conftest.err >&5
  echo "$as_me:$LINENO:  = $ac_status" >&5
  (exit $ac_status); } &&          { ac_try='test -z  "$ac_c_wer-
ror_flag"                   || test ! -s conftest.err'
  { (eval echo "$as_me:$LINENO:
  (eval $ac_try) 2>&5
  ac_status=$?
  echo "$as_me:$LINENO:  = $ac_status" >&5
  (exit  $ac_status);  };  }  &&           { ac_try='test -s con-
  CFLAGS=$ac_save_CFLAGS elif test $ac_cv_prog_cc_g = yes; then
  if test "$GCC" = yes; then
    CFLAGS="-g -O2"
  else
    CFLAGS="-g"
  fi else
  if test "$GCC" = yes; then
    CFLAGS="-O2"
  else
    CFLAGS=
  fi fi echo "$as_me:$LINENO: checking for $CC option  to  accept
ANSI  C" >&5 echo $ECHO_N "checking for $CC option to accept ANSI
C... $ECHO_C" >&6 if test "${ac_cv_prog_cc_stdc+set}" = set; then
  echo $ECHO_N "(cached) $ECHO_C" >&6 else
  ac_cv_prog_cc_stdc=no   ac_save_CC=$CC   cat  >conftest.$ac_ext
<<_ACEOF  /*  confdefs.h.   */  _ACEOF  cat   confdefs.h   >>con-
ftest.$ac_ext  cat >>conftest.$ac_ext <<_ACEOF /* end confdefs.h.
*/ #include <stdarg.h> #include <stdio.h> #include  <sys/types.h>
#include  <sys/stat.h>  /* Most of the following tests are stolen
from RCS 5.7's src/conf.sh.  */ struct buf { int  x;  };  FILE  *
(*rcsopen) (struct buf *, struct stat *, int); static char *e (p,
i)
     char **p;
     int i; {
  return p[i]; } static char *f (char * (*g) (char **, int), char
**p, ...)  {
  char *s;
  va_list v;
  va_start (v,p);
  s = g (p, va_arg (v,int));
  va_end (v);
  return s; }

/*  OSF 4.0 Compaq cc is some sort of almost-ANSI by default.  It
has
   function prototypes and stuff, but not '' hex  character  con-
stants.
   These  don't  provoke  an  error  unfortunately,  instead  are
silently treated
   as 'x'.  The following induces an error, until -std1 is  added
to get
   proper  ANSI  mode.  Curiously '0'!='x' always comes out true,
for an
   array size at least.  It's necessary to write  '0'==0  to  get
something
   that's true only with -std1.  */ int osf4_cc_array ['0' == 0 ?
1 : -1];

int test (int i, double x); struct s1 {int (*f) (int a);}; struct
s2  {int  (*f)  (double  a);};  int pairnames (int, char **, FILE
*(*)(struct buf *, struct stat *, int), int, int); int argc; char
**argv; int main () { return f (e, argv, 0) != argv[0]  ||  f (e,
  rm -f conftest.er1
  cat conftest.err >&5
  echo "$as_me:$LINENO:  = $ac_status" >&5
  (exit $ac_status); } &&          { ac_try='test -z  "$ac_c_wer-
ror_flag"                   || test ! -s conftest.err'
  { (eval echo "$as_me:$LINENO:
  (eval $ac_try) 2>&5
  ac_status=$?
  echo "$as_me:$LINENO:  = $ac_status" >&5
  (exit  $ac_status);  };  }  &&           { ac_try='test -s con-
ftest.$ac_objext'
  { (eval echo "$as_me:$LINENO:
  (eval $ac_try) 2>&5
  ac_status=$?
  echo "$as_me:$LINENO:  = $ac_status" >&5
  (exit $ac_status); }; }; then
  ac_cv_prog_cc_stdc=$ac_arg break else
  echo "$as_me: failed program  was:"  >&5  sed  's/^/|  /'  con-
ftest.$ac_ext >&5

fi  rm  -f  conftest.err  conftest.$ac_objext  done  rm  -f  con-
ftest.$ac_ext conftest.$ac_objext CC=$ac_save_CC

fi

case "x$ac_cv_prog_cc_stdc" in
  x|xno)
    echo  "$as_me:$LINENO:  result:   none   needed"   >&5   echo
"${ECHO_T}none needed" >&6 ;;
  *)
    echo  "$as_me:$LINENO:  result: $ac_cv_prog_cc_stdc" >&5 echo
"${ECHO_T}$ac_cv_prog_cc_stdc" >&6
    CC="$CC $ac_cv_prog_cc_stdc" ;; esac

# Some people use a C++ compiler to compile C.  Since we use `ex-
it',  #  in  C++ we need to declare it.  In case someone uses the
same compiler # for both compiling C and C++ we need to have  the
C++  compiler  decide  #  the declaration of exit, since it's the
most  demanding  environment.   cat  >conftest.$ac_ext   <<_ACEOF
@%:@ifndef __cplusplus
  choke  me @%:@endif _ACEOF rm -f conftest.$ac_objext if { (eval
echo "$as_me:$LINENO:
  (eval $ac_compile) 2>conftest.er1
  ac_status=$?
  grep -v '^ *+' conftest.er1 >conftest.err
  rm -f conftest.er1
  cat conftest.err >&5
  echo "$as_me:$LINENO:  = $ac_status" >&5
  (exit $ac_status); } &&          { ac_try='test -z  "$ac_c_wer-
ror_flag"                   || test ! -s conftest.err'
  { (eval echo "$as_me:$LINENO:
  (eval $ac_try) 2>&5

confdefs.h >>conftest.$ac_ext cat >>conftest.$ac_ext <<_ACEOF  /*
end  confdefs.h.   */  $ac_declaration @%:@include <stdlib.h> int
main () { exit (42);
  ;
  return 0; } _ACEOF rm -f conftest.$ac_objext if  {  (eval  echo
"$as_me:$LINENO:
  (eval $ac_compile) 2>conftest.er1
  ac_status=$?
  grep -v '^ *+' conftest.er1 >conftest.err
  rm -f conftest.er1
  cat conftest.err >&5
  echo "$as_me:$LINENO:  = $ac_status" >&5
  (exit  $ac_status); } &&          { ac_try='test -z "$ac_c_wer-
ror_flag"                   || test ! -s conftest.err'
  { (eval echo "$as_me:$LINENO:
  (eval $ac_try) 2>&5
  ac_status=$?
  echo "$as_me:$LINENO:  = $ac_status" >&5
  (exit $ac_status); }; } &&            {  ac_try='test  -s  con-
ftest.$ac_objext'
  { (eval echo "$as_me:$LINENO:
  (eval $ac_try) 2>&5
  ac_status=$?
  echo "$as_me:$LINENO:  = $ac_status" >&5
  (exit $ac_status); }; }; then
  : else
  echo  "$as_me:  failed  program  was:"  >&5  sed 's/^/| /' con-
ftest.$ac_ext >&5

continue  fi  rm   -f   conftest.err   conftest.$ac_objext   con-
ftest.$ac_ext
  cat  >conftest.$ac_ext  <<_ACEOF  /* confdefs.h.  */ _ACEOF cat
confdefs.h >>conftest.$ac_ext cat >>conftest.$ac_ext <<_ACEOF  /*
end confdefs.h.  */ $ac_declaration int main () { exit (42);
  ;
  return  0;  }  _ACEOF rm -f conftest.$ac_objext if { (eval echo
"$as_me:$LINENO:
  (eval $ac_compile) 2>conftest.er1
  ac_status=$?
  grep -v '^ *+' conftest.er1 >conftest.err
  rm -f conftest.er1
  cat conftest.err >&5
  echo "$as_me:$LINENO:  = $ac_status" >&5
  (exit $ac_status); } &&          { ac_try='test -z  "$ac_c_wer-
ror_flag"                   || test ! -s conftest.err'
  { (eval echo "$as_me:$LINENO:
  (eval $ac_try) 2>&5
  ac_status=$?
  echo "$as_me:$LINENO:  = $ac_status" >&5
  (exit  $ac_status);  };  }  &&           { ac_try='test -s con-
ftest.$ac_objext'
  { (eval echo "$as_me:$LINENO:

else
  echo "$as_me: failed program  was:"  >&5  sed  's/^/|  /'  con-
ftest.$ac_ext >&5

fi   rm   -f  conftest.err  conftest.$ac_objext  conftest.$ac_ext
ac_ext=c  ac_cpp='$CPP  $CPPFLAGS'  ac_compile='$CC  -c   $CFLAGS
$CPPFLAGS  conftest.$ac_ext >&5' ac_link='$CC -o conftest$ac_exe-
ext  $CFLAGS  $CPPFLAGS  $LDFLAGS  conftest.$ac_ext  $LIBS   >&5'
ac_compiler_gnu=$ac_cv_c_compiler_gnu

echo "$as_me:$LINENO: checking whether ${MAKE-make} sets KE)" >&5
echo $ECHO_N "checking whether ${MAKE-make} sets KE)...  $ECHO_C"
>&6   set   dummy   ${MAKE-make};   ac_make=`echo   "$2"   |  sed
'y,:./+-,___p_,'` if eval "test
  echo $ECHO_N "(cached) $ECHO_C" >&6 else
  cat     >conftest.make     <<_ACEOF     all:              @echo
'ac_maketemp="$(MAKE)"'   _ACEOF  #  GNU  make  sometimes  prints
"make[1]: Entering...", which would confuse  us.   eval  `${MAKE-
make}  -f  conftest.make  2>/dev/null  |  grep  temp=` if test -n
"$ac_maketemp"; then
  eval ac_cv_prog_make_${ac_make}_set=yes else
  eval ac_cv_prog_make_${ac_make}_set=no fi rm  -f  conftest.make
fi if eval "test
  echo "$as_me:$LINENO: result: yes" >&5 echo "${ECHO_T}yes" >&6
  SET_MAKE= else
  echo "$as_me:$LINENO: result: no" >&5 echo "${ECHO_T}no" >&6
  SET_MAKE="MAKE=${MAKE-make}" fi





echo "$as_me:$LINENO: checking whether $CC supports -O2" >&5 echo
$ECHO_N  "checking  whether  $CC  supports  -O2...  $ECHO_C"  >&6
cache=`echo O2 | sed 'y%.=/+-%___p_%'` if eval "test
  echo $ECHO_N "(cached) $ECHO_C" >&6 else

echo  'void f(){}' >conftest.c if test -z "`$CC -O2 -c conftest.c
2>&1`";  then   eval   "cv_prog_cc_flag_$cache=yes"   else   eval
"cv_prog_cc_flag_$cache=no" fi rm -f conftest*

fi

if  eval  "test  echo  "$as_me:$LINENO:  result:  yes"  >&5  echo
"${ECHO_T}yes"   >&6   :   CFLAGS="$CFLAGS   -O2"    else    echo
"$as_me:$LINENO: result: no" >&5 echo "${ECHO_T}no" >&6 :

fi


echo  "$as_me:$LINENO: checking for ANSI C header files" >&5 echo
$ECHO_N "checking for ANSI C header files... $ECHO_C" >&6 if test
  grep -v '^ *+' conftest.er1 >conftest.err
  rm -f conftest.er1
  cat conftest.err >&5
  echo "$as_me:$LINENO:  = $ac_status" >&5
  (exit  $ac_status); } &&          { ac_try='test -z "$ac_c_wer-
ror_flag"                   || test ! -s conftest.err'
  { (eval echo "$as_me:$LINENO:
  (eval $ac_try) 2>&5
  ac_status=$?
  echo "$as_me:$LINENO:  = $ac_status" >&5
  (exit $ac_status); }; } &&            {  ac_try='test  -s  con-
ftest.$ac_objext'
  { (eval echo "$as_me:$LINENO:
  (eval $ac_try) 2>&5
  ac_status=$?
  echo "$as_me:$LINENO:  = $ac_status" >&5
  (exit $ac_status); }; }; then
  ac_cv_header_stdc=yes else
  echo  "$as_me:  failed  program  was:"  >&5  sed 's/^/| /' con-
ftest.$ac_ext >&5

ac_cv_header_stdc=no fi rm  -f  conftest.err  conftest.$ac_objext
conftest.$ac_ext

if test $ac_cv_header_stdc = yes; then
  # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
  cat  >conftest.$ac_ext  <<_ACEOF  /* confdefs.h.  */ _ACEOF cat
confdefs.h >>conftest.$ac_ext cat >>conftest.$ac_ext <<_ACEOF  /*
end confdefs.h.  */ #include <string.h>

_ACEOF if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
  $EGREP "memchr" >/dev/null 2>&1; then
  : else
  ac_cv_header_stdc=no fi rm -f conftest*

fi

if test $ac_cv_header_stdc = yes; then
  # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
  cat  >conftest.$ac_ext  <<_ACEOF  /* confdefs.h.  */ _ACEOF cat
confdefs.h >>conftest.$ac_ext cat >>conftest.$ac_ext <<_ACEOF  /*
end confdefs.h.  */ #include <stdlib.h>

_ACEOF if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
  $EGREP "free" >/dev/null 2>&1; then
  : else
  ac_cv_header_stdc=no fi rm -f conftest*

fi

if test $ac_cv_header_stdc = yes; then
  # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using
  int i;
  for (i = 0; i < 256; i++)
    if (XOR (islower (i), ISLOWER (i))         || toupper (i)  !=
TOUPPER (i))
      exit(2);
  exit  (0);  }  _ACEOF  rm -f conftest$ac_exeext if { (eval echo
"$as_me:$LINENO:
  (eval $ac_link) 2>&5
  ac_status=$?
  echo "$as_me:$LINENO:  = $ac_status" >&5
  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
  { (eval echo "$as_me:$LINENO:
  (eval $ac_try) 2>&5
  ac_status=$?
  echo "$as_me:$LINENO:  = $ac_status" >&5
  (exit $ac_status); }; }; then
  : else
  echo "$as_me: program exited with status $ac_status"  >&5  echo
"$as_me:  failed program was:" >&5 sed 's/^/| /' conftest.$ac_ext
>&5

( exit $ac_status ) ac_cv_header_stdc=no fi  rm  -f  core  *.core
gmon.out   bb.out   conftest$ac_exeext  conftest.$ac_objext  con-
ftest.$ac_ext fi fi fi echo "$as_me:$LINENO: result: $ac_cv_head-
er_stdc"  >&5  echo  "${ECHO_T}$ac_cv_header_stdc"  >&6  if  test
$ac_cv_header_stdc = yes; then

cat >>confdefs.h <<_ACEOF @%:@define STDC_HEADERS 1 _ACEOF

fi

# On IRIX 5.3, sys/types and inttypes.h are conflicting.









for ac_header in sys/types.h sys/stat.h stdlib.h  string.h  memo-
ry.h  strings.h                   inttypes.h stdint.h unistd.h do
as_ac_Header=`echo "ac_cv_header_$ac_header"  |  $as_tr_sh`  echo
"$as_me:$LINENO:   checking  for  $ac_header"  >&5  echo  $ECHO_N
"checking for $ac_header... $ECHO_C" >&6 if eval "test
  echo $ECHO_N "(cached) $ECHO_C" >&6 else
  cat >conftest.$ac_ext <<_ACEOF /* confdefs.h.   */  _ACEOF  cat
confdefs.h  >>conftest.$ac_ext cat >>conftest.$ac_ext <<_ACEOF /*
end confdefs.h.  */ $ac_includes_default

@%:@include <$ac_header> _ACEOF rm -f  conftest.$ac_objext  if  {
ftest.$ac_objext'
  { (eval echo "$as_me:$LINENO:
  (eval $ac_try) 2>&5
  ac_status=$?
  echo "$as_me:$LINENO:  = $ac_status" >&5
  (exit $ac_status); }; }; then
  eval "$as_ac_Header=yes" else
  echo  "$as_me:  failed  program  was:"  >&5  sed 's/^/| /' con-
ftest.$ac_ext >&5

eval "$as_ac_Header=no" fi rm -f conftest.err conftest.$ac_objext
conftest.$ac_ext  fi  echo  "$as_me:$LINENO:  result:  `eval echo
'${'$as_ac_Header'}'`"    >&5    echo    "${ECHO_T}`eval     echo
'${'$as_ac_Header'}'`"  >&6  if  test `eval echo '${'$as_ac_Head-
er'}'` = yes; then
  cat >>confdefs.h <<_ACEOF @%:@define `echo "HAVE_$ac_header"  |
$as_tr_cpp` 1 _ACEOF

fi

done









for  ac_header in getopt.h stdlib.h stdio.h assert.h netinet/in.h
ctype.h time.h do as_ac_Header=`echo "ac_cv_header_$ac_header"  |
$as_tr_sh`  echo  "$as_me:$LINENO:  checking  for $ac_header" >&5
echo $ECHO_N "checking for $ac_header...  $ECHO_C"  >&6  if  eval
"test
  echo $ECHO_N "(cached) $ECHO_C" >&6 else
  cat  >conftest.$ac_ext  <<_ACEOF  /* confdefs.h.  */ _ACEOF cat
confdefs.h >>conftest.$ac_ext cat >>conftest.$ac_ext <<_ACEOF  /*
end confdefs.h.  */ $ac_includes_default

@%:@include  <$ac_header>  _ACEOF  rm -f conftest.$ac_objext if {
(eval echo "$as_me:$LINENO:
  (eval $ac_compile) 2>conftest.er1
  ac_status=$?
  grep -v '^ *+' conftest.er1 >conftest.err
  rm -f conftest.er1
  cat conftest.err >&5
  echo "$as_me:$LINENO:  = $ac_status" >&5
  (exit $ac_status); } &&          { ac_try='test -z  "$ac_c_wer-
ror_flag"                   || test ! -s conftest.err'
  { (eval echo "$as_me:$LINENO:
  (eval $ac_try) 2>&5

conftest.$ac_ext fi  echo  "$as_me:$LINENO:  result:  `eval  echo
'${'$as_ac_Header'}'`"     >&5    echo    "${ECHO_T}`eval    echo
'${'$as_ac_Header'}'`" >&6 if test  `eval  echo  '${'$as_ac_Head-
er'}'` = yes; then
  cat  >>confdefs.h <<_ACEOF @%:@define `echo "HAVE_$ac_header" |
$as_tr_cpp` 1 _ACEOF

fi

done



for ac_header in sys/param.h  sys/mount.h  do  as_ac_Header=`echo
"ac_cv_header_$ac_header"   |  $as_tr_sh`  echo  "$as_me:$LINENO:
checking for $ac_header" >&5 echo $ECHO_N "checking for $ac_head-
er... $ECHO_C" >&6 if eval "test
  echo $ECHO_N "(cached) $ECHO_C" >&6 else
  cat  >conftest.$ac_ext  <<_ACEOF  /* confdefs.h.  */ _ACEOF cat
confdefs.h >>conftest.$ac_ext cat >>conftest.$ac_ext <<_ACEOF  /*
end confdefs.h.  */ $ac_includes_default


   #if HAVE_SYS_PARAM_H
   # include <sys/param.h>
   #endif



@%:@include  <$ac_header>  _ACEOF  rm -f conftest.$ac_objext if {
(eval echo "$as_me:$LINENO:
  (eval $ac_compile) 2>conftest.er1
  ac_status=$?
  grep -v '^ *+' conftest.er1 >conftest.err
  rm -f conftest.er1
  cat conftest.err >&5
  echo "$as_me:$LINENO:  = $ac_status" >&5
  (exit $ac_status); } &&          { ac_try='test -z  "$ac_c_wer-
ror_flag"                   || test ! -s conftest.err'
  { (eval echo "$as_me:$LINENO:
  (eval $ac_try) 2>&5
  ac_status=$?
  echo "$as_me:$LINENO:  = $ac_status" >&5
  (exit  $ac_status);  };  }  &&           { ac_try='test -s con-
ftest.$ac_objext'
  { (eval echo "$as_me:$LINENO:
  (eval $ac_try) 2>&5
  ac_status=$?
  echo "$as_me:$LINENO:  = $ac_status" >&5
  (exit $ac_status); }; }; then
  eval "$as_ac_Header=yes" else
  echo "$as_me: failed program  was:"  >&5  sed  's/^/|  /'  con-


# Check whether --with-ssl or --without-ssl was given.   if  test
"${with_ssl+set}" = set; then
  withval="$with_ssl"


else

            withval="yes"

fi;
    if test x_$withval != x_no; then
        echo  "$as_me:$LINENO: checking for SSL" >&5 echo $ECHO_N
"checking for SSL... $ECHO_C" >&6
        if test x_$withval = x_ -o x_$withval = x_yes; then
            withval="/usr/local/ssl     /usr/lib/ssl     /usr/ssl
/usr/pkg /usr/local /usr"
        fi
        for dir in $withval; do
            ssldir="$dir"
            if test -f "$dir/include/openssl/ssl.h"; then
                found_ssl="yes";

cat >>confdefs.h <<_ACEOF @%:@define HAVE_SSL _ACEOF

                CPPFLAGS="$CPPFLAGS -I$ssldir/include";
                break;
            fi
        done
        if test x_$found_ssl != x_yes; then
            {  { echo "$as_me:$LINENO: error: Cannot find the SSL
libraries in $withval" >&5 echo "$as_me: error: Cannot  find  the
SSL libraries in $withval" >&2;}
   { (exit 1); exit 1; }; }
        else
            echo  "$as_me:$LINENO:  result: found in $ssldir" >&5
echo "${ECHO_T}found in $ssldir" >&6
            HAVE_SSL=yes
            LDFLAGS="$LDFLAGS -L$ssldir/lib";

echo "$as_me:$LINENO: checking for HMAC_CTX_init in -lcrypto" >&5
echo  $ECHO_N "checking for HMAC_CTX_init in -lcrypto... $ECHO_C"
>&6 if test "${ac_cv_lib_crypto_HMAC_CTX_init+set}" = set; then
  echo $ECHO_N "(cached) $ECHO_C" >&6 else
  ac_check_lib_save_LIBS=$LIBS LIBS="-lcrypto  $LIBS"  cat  >con-
ftest.$ac_ext  <<_ACEOF  /* confdefs.h.  */ _ACEOF cat confdefs.h
>>conftest.$ac_ext  cat  >>conftest.$ac_ext   <<_ACEOF   /*   end
confdefs.h.  */

/*  Override  any  gcc2 internal prototype to avoid an error.  */
#ifdef __cplusplus extern "C" #endif /* We use char  because  int
  { (eval echo "$as_me:$LINENO:
  (eval $ac_try) 2>&5
  ac_status=$?
  echo "$as_me:$LINENO:  = $ac_status" >&5
  (exit $ac_status); }; } &&            {  ac_try='test  -s  con-
ftest$ac_exeext'
  { (eval echo "$as_me:$LINENO:
  (eval $ac_try) 2>&5
  ac_status=$?
  echo "$as_me:$LINENO:  = $ac_status" >&5
  (exit $ac_status); }; }; then
  ac_cv_lib_crypto_HMAC_CTX_init=yes else
  echo  "$as_me:  failed  program  was:"  >&5  sed 's/^/| /' con-
ftest.$ac_ext >&5

ac_cv_lib_crypto_HMAC_CTX_init=no  fi  rm  -f  conftest.err  con-
ftest.$ac_objext           conftest$ac_exeext    conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS  fi  echo  "$as_me:$LINENO:  result:
$ac_cv_lib_crypto_HMAC_CTX_init"             >&5             echo
"${ECHO_T}$ac_cv_lib_crypto_HMAC_CTX_init"    >&6     if     test
$ac_cv_lib_crypto_HMAC_CTX_init = yes; then
  cat >>confdefs.h <<_ACEOF @%:@define HAVE_LIBCRYPTO 1 _ACEOF

  LIBS="-lcrypto $LIBS"

else

                    {  {  echo  "$as_me:$LINENO:  error:  OpenSSL
found in $ssldir, but version 0.9.7 or higher  is  required"  >&5
echo  "$as_me: error: OpenSSL found in $ssldir, but version 0.9.7
or higher is required" >&2;}
   { (exit 1); exit 1; }; }

fi

        fi

    fi


echo "$as_me:$LINENO: checking for BN_bn2bin in -lssl"  >&5  echo
$ECHO_N  "checking for BN_bn2bin in -lssl... $ECHO_C" >&6 if test
"${ac_cv_lib_ssl_BN_bn2bin+set}" = set; then
  echo $ECHO_N "(cached) $ECHO_C" >&6 else
  ac_check_lib_save_LIBS=$LIBS  LIBS="-lssl   $LIBS"  cat   >con-
ftest.$ac_ext  <<_ACEOF  /* confdefs.h.  */ _ACEOF cat confdefs.h
>>conftest.$ac_ext  cat  >>conftest.$ac_ext   <<_ACEOF   /*   end
confdefs.h.  */

/*  Override  any  gcc2 internal prototype to avoid an error.  */
#ifdef __cplusplus extern "C" #endif /* We use char  because  int
might match the return type of a gcc2
  (eval $ac_try) 2>&5
  ac_status=$?
  echo "$as_me:$LINENO:  = $ac_status" >&5
  (exit $ac_status); }; } &&            {  ac_try='test  -s  con-
ftest$ac_exeext'
  { (eval echo "$as_me:$LINENO:
  (eval $ac_try) 2>&5
  ac_status=$?
  echo "$as_me:$LINENO:  = $ac_status" >&5
  (exit $ac_status); }; }; then
  ac_cv_lib_ssl_BN_bn2bin=yes else
  echo  "$as_me:  failed  program  was:"  >&5  sed 's/^/| /' con-
ftest.$ac_ext >&5

ac_cv_lib_ssl_BN_bn2bin=no fi rm -f conftest.err conftest.$ac_ob-
jext                 conftest$ac_exeext          conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS  fi  echo  "$as_me:$LINENO:  result:
$ac_cv_lib_ssl_BN_bn2bin"                 >&5                echo
"${ECHO_T}$ac_cv_lib_ssl_BN_bn2bin"       >&6       if       test
$ac_cv_lib_ssl_BN_bn2bin = yes; then
  cat >>confdefs.h <<_ACEOF @%:@define HAVE_LIBSSL 1 _ACEOF

  LIBS="-lssl $LIBS"

else

        {  { echo "$as_me:$LINENO: error: Can't find ssl library"
>&5 echo "$as_me: error: Can't find ssl library" >&2;}
   { (exit 1); exit 1; }; }

fi



# Check whether --with-ldns or --without-ldns was given.  if test
"${with_ldns+set}" = set; then
  withval="$with_ldns"

fi;

echo   "$as_me:$LINENO:  checking  for  openssl/ssl.h"  >&5  echo
$ECHO_N "checking  for  openssl/ssl.h...  $ECHO_C"  >&6  if  test
"${ac_cv_header_openssl_ssl_h+set}" = set; then
  echo $ECHO_N "(cached) $ECHO_C" >&6 else
  cat  >conftest.$ac_ext  <<_ACEOF  /* confdefs.h.  */ _ACEOF cat
confdefs.h >>conftest.$ac_ext cat >>conftest.$ac_ext <<_ACEOF  /*
end confdefs.h.  */ $ac_includes_default


@%:@include <openssl/ssl.h> _ACEOF rm -f conftest.$ac_objext if {
(eval echo "$as_me:$LINENO:
  (eval $ac_compile) 2>conftest.er1
  (eval $ac_try) 2>&5
  ac_status=$?
  echo "$as_me:$LINENO:  = $ac_status" >&5
  (exit $ac_status); }; }; then
  ac_cv_header_openssl_ssl_h=yes else
  echo "$as_me: failed program  was:"  >&5  sed  's/^/|  /'  con-
ftest.$ac_ext >&5

ac_cv_header_openssl_ssl_h=no   fi   rm   -f   conftest.err  con-
ftest.$ac_objext conftest.$ac_ext fi  echo  "$as_me:$LINENO:  re-
sult:         $ac_cv_header_openssl_ssl_h"        >&5        echo
"${ECHO_T}$ac_cv_header_openssl_ssl_h" >&6 if  test  $ac_cv_head-
er_openssl_ssl_h = yes; then
  : else

        {  {  echo  "$as_me:$LINENO:  error: Can't find (open)ssl
headers" >&5 echo "$as_me: error: Can't find  (open)ssl  headers"
>&2;}
   { (exit 1); exit 1; }; }          fi



# check for ldns

# Check whether --with-ldns or --without-ldns was given.  if test
"${with_ldns+set}" = set; then
  withval="$with_ldns"

                specialldnsdir="$withval"
                CPPFLAGS="$CPPFLAGS           -I$withval/include"
                LDFLAGS="$LDFLAGS -L$withval/lib"

fi;

# check for ldns development source  tree  echo  "$as_me:$LINENO:
checking  for  ldns  devel source" >&5 echo $ECHO_N "checking for
ldns devel source... $ECHO_C" >&6  ldns_dev_dir=..   if  test  -f
$ldns_dev_dir/ldns/util.h      &&           grep     LDNS_VERSION
$ldns_dev_dir/ldns/util.h  >/dev/null;   then           ldns_ver-
sion=`grep   LDNS_VERSION   $ldns_dev_dir/ldns/util.h  |  sed  -e
's/^.*"".*$/1/'`          echo  "$as_me:$LINENO:  result:   using
$ldns_dev_dir   with   $ldns_version"  >&5  echo  "${ECHO_T}using
$ldns_dev_dir with $ldns_version" >&6         CPPFLAGS="$CPPFLAGS
-I$ldns_dev_dir/include"                        LDFLAGS="$LDFLAGS
-L$ldns_dev_dir/lib"             LDNSDIR="$ldns_dev_dir"     else
        echo  "$as_me:$LINENO: result: no" >&5 echo "${ECHO_T}no"
>&6 fi


echo "$as_me:$LINENO: checking for  ldns_rr_new  in  -lldns"  >&5
echo  $ECHO_N "checking for ldns_rr_new in -lldns... $ECHO_C" >&6
if test "${ac_cv_lib_ldns_ldns_rr_new+set}" = set; then
  (eval $ac_link) 2>conftest.er1
  ac_status=$?
  grep -v '^ *+' conftest.er1 >conftest.err
  rm -f conftest.er1
  cat conftest.err >&5
  echo "$as_me:$LINENO:  = $ac_status" >&5
  (exit  $ac_status); } &&          { ac_try='test -z "$ac_c_wer-
ror_flag"                   || test ! -s conftest.err'
  { (eval echo "$as_me:$LINENO:
  (eval $ac_try) 2>&5
  ac_status=$?
  echo "$as_me:$LINENO:  = $ac_status" >&5
  (exit $ac_status); }; } &&            {  ac_try='test  -s  con-
ftest$ac_exeext'
  { (eval echo "$as_me:$LINENO:
  (eval $ac_try) 2>&5
  ac_status=$?
  echo "$as_me:$LINENO:  = $ac_status" >&5
  (exit $ac_status); }; }; then
  ac_cv_lib_ldns_ldns_rr_new=yes else
  echo  "$as_me:  failed  program  was:"  >&5  sed 's/^/| /' con-
ftest.$ac_ext >&5

ac_cv_lib_ldns_ldns_rr_new=no  fi   rm   -f   conftest.err   con-
ftest.$ac_objext           conftest$ac_exeext    conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS  fi  echo  "$as_me:$LINENO:  result:
$ac_cv_lib_ldns_ldns_rr_new"               >&5               echo
"${ECHO_T}$ac_cv_lib_ldns_ldns_rr_new"      >&6      if      test
$ac_cv_lib_ldns_ldns_rr_new = yes; then
  cat >>confdefs.h <<_ACEOF @%:@define HAVE_LIBLDNS 1 _ACEOF

  LIBS="-lldns $LIBS"

else

                {  { echo "$as_me:$LINENO: error: Can't find ldns
library" >&5 echo "$as_me: error: Can't find ldns library" >&2;}
   { (exit 1); exit 1; }; }

fi



# Check whether --with-ldns or --without-ldns was given.  if test
"${with_ldns+set}" = set; then
  withval="$with_ldns"

fi;

echo  "$as_me:$LINENO: checking for ldns/ldns.h" >&5 echo $ECHO_N
"checking for ldns/ldns.h... $ECHO_C" >&6 if test  "${ac_cv_head-
er_ldns_ldns_h+set}" = set; then
  (exit $ac_status); } &&          { ac_try='test -z  "$ac_c_wer-
ror_flag"                   || test ! -s conftest.err'
  { (eval echo "$as_me:$LINENO:
  (eval $ac_try) 2>&5
  ac_status=$?
  echo "$as_me:$LINENO:  = $ac_status" >&5
  (exit  $ac_status);  };  }  &&           { ac_try='test -s con-
ftest.$ac_objext'
  { (eval echo "$as_me:$LINENO:
  (eval $ac_try) 2>&5
  ac_status=$?
  echo "$as_me:$LINENO:  = $ac_status" >&5
  (exit $ac_status); }; }; then
  ac_cv_header_ldns_ldns_h=yes else
  echo "$as_me: failed program  was:"  >&5  sed  's/^/|  /'  con-
ftest.$ac_ext >&5

ac_cv_header_ldns_ldns_h=no    fi   rm   -f   conftest.err   con-
ftest.$ac_objext conftest.$ac_ext fi  echo  "$as_me:$LINENO:  re-
sult:  $ac_cv_header_ldns_ldns_h" >&5 echo "${ECHO_T}$ac_cv_head-
er_ldns_ldns_h" >&6 if test $ac_cv_header_ldns_ldns_h = yes; then
  : else

        { { echo "$as_me:$LINENO: error: Can't find ldns headers"
>&5 echo "$as_me: error: Can't find ldns headers" >&2;}
   { (exit 1); exit 1; }; }          fi



for ac_func in isblank do as_ac_var=`echo "ac_cv_func_$ac_func" |
$as_tr_sh`  echo "$as_me:$LINENO: checking for $ac_func" >&5 echo
$ECHO_N "checking for $ac_func... $ECHO_C" >&6 if eval "test
  echo $ECHO_N "(cached) $ECHO_C" >&6 else
  cat >conftest.$ac_ext <<_ACEOF /* confdefs.h.   */  _ACEOF  cat
confdefs.h  >>conftest.$ac_ext cat >>conftest.$ac_ext <<_ACEOF /*
end confdefs.h.  */ /* Define $ac_func to an  innocuous  variant,
in case <limits.h> declares $ac_func.
   For  example,  HP-UX 11i <limits.h> declares gettimeofday.  */
#define $ac_func innocuous_$ac_func

/* System header to define __stub macros and hopefully few proto-
types,
    which can conflict with char $ac_func (); below.
    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
    <limits.h> exists even on freestanding compilers.  */

#ifdef __STDC__ # include <limits.h> #else #  include  <assert.h>
#endif

#undef $ac_func

/*  Override  any  gcc2 internal prototype to avoid an error.  */
  return 0; } _ACEOF rm -f conftest.$ac_objext conftest$ac_exeext
if { (eval echo "$as_me:$LINENO:
  (eval $ac_link) 2>conftest.er1
  ac_status=$?
  grep -v '^ *+' conftest.er1 >conftest.err
  rm -f conftest.er1
  cat conftest.err >&5
  echo "$as_me:$LINENO:  = $ac_status" >&5
  (exit $ac_status); } &&          { ac_try='test -z  "$ac_c_wer-
ror_flag"                   || test ! -s conftest.err'
  { (eval echo "$as_me:$LINENO:
  (eval $ac_try) 2>&5
  ac_status=$?
  echo "$as_me:$LINENO:  = $ac_status" >&5
  (exit  $ac_status);  };  }  &&           { ac_try='test -s con-
ftest$ac_exeext'
  { (eval echo "$as_me:$LINENO:
  (eval $ac_try) 2>&5
  ac_status=$?
  echo "$as_me:$LINENO:  = $ac_status" >&5
  (exit $ac_status); }; }; then
  eval "$as_ac_var=yes" else
  echo "$as_me: failed program  was:"  >&5  sed  's/^/|  /'  con-
ftest.$ac_ext >&5

eval  "$as_ac_var=no"  fi  rm -f conftest.err conftest.$ac_objext
conftest$ac_exeext conftest.$ac_ext fi echo "$as_me:$LINENO:  re-
sult:  `eval  echo  '${'$as_ac_var'}'`"  >&5 echo "${ECHO_T}`eval
echo    '${'$as_ac_var'}'`"    >&6    if    test    `eval    echo
'${'$as_ac_var'}'` = yes; then
  cat  >>confdefs.h  <<_ACEOF  @%:@define `echo "HAVE_$ac_func" |
$as_tr_cpp` 1 _ACEOF

fi done





                    ac_config_files="$ac_config_files    Makefile
drill.h"

          ac_config_headers="$ac_config_headers config.h"

cat >confcache <<_ACEOF # This file is a shell script that caches
the results of configure # tests run on this system so  they  can
be  shared  between  configure  # scripts and configure runs, see
configure's option --config-cache.  # It is not useful  on  other
systems.   If  it  contains results you don't # want to keep, you
may remove or edit it.  # # config.status only pays attention  to
the  cache  file  if  you give it # the --recheck option to rerun
configure.  # # `ac_cv_env_foo' variables (set or unset) will  be
      #  `set'  does  not quote correctly, so add quotes (double-
quote
      # substitution turns \\ into \, and sed turns \ into .
      sed   -n      "s/'/'\\''/g;               s/^\([_$as_cr_al-
num]*_cv_[_$as_cr_alnum]*\)=\(.*\)/\1='\2'/p"
      ;;
    *)
      #  `set'  quotes  correctly as required by POSIX, so do not
add quotes.
      sed      -n          "s/^\([_$as_cr_alnum]*_cv_[_$as_cr_al-
num]*\)=\(.*\)/\1=\2/p"
      ;;
    esac; } |
  sed '
     t clear
     : clear
     s/^=]*=[{}].*$/test "${1+set}" = set || &/
     t end
     /^ac_cv_env/!s/^=]*=$/1=${1=2}/
     :  end' >>confcache if diff $cache_file confcache >/dev/null
2>&1; then :; else
  if test -w $cache_file; then
    test "x$cache_file" != "x/dev/null" && echo  "updating  cache
$cache_file"
    cat confcache >$cache_file
  else
    echo "not updating unwritable cache $cache_file"
  fi fi rm -f confcache

test  "x$prefix"  = xNONE && prefix=$ac_default_prefix # Let make
expand exec_prefix.  test "x$exec_prefix" =  xNONE  &&  exec_pre-
fix='${prefix}'

#  VPATH  may  cause  trouble with some makes, so we remove $(sr-
cdir), # ${srcdir} and @srcdir@ from  VPATH  if  srcdir  is  ".",
strip  leading  and  #  trailing colons and then remove the whole
line if VPATH becomes empty # (actually we leave an empty line to
preserve line numbers).  if test "x$srcdir" = x.; then
  ac_vpsub='/^[   ]*VPATH[         ]*=/{  s/:*cdir):*/:/; s/:*sr-
cdir}:*/:/; s/:*@srcdir@:*/:/; s/^=]*=[         ]*:*/1/; s/:*$//;
s/^[^=]*=[       ]*$//; }' fi

DEFS=-DHAVE_CONFIG_H

ac_libobjs=  ac_ltlibobjs=  for  ac_i  in : $LIB@&t@OBJS; do test
"x$ac_i" = x: && continue
  # 1. Remove the extension, and $U if already installed.
  ac_i=`echo "$ac_i" |          sed 's/././;s/.o$//;s/.obj$//'`
  # 2. Add them.
  ac_libobjs="$ac_libobjs $ac_i.$ac_objext"
  ac_ltlibobjs="$ac_ltlibobjs   $ac_i"'$U.lo'   done   LIB@&t@OB-
JS=$ac_libobjs
debug=false   ac_cs_recheck=false  ac_cs_silent=false  SHELL=CON-
FIG_SHELL-$SHELL} _ACEOF

cat >>$CONFIG_STATUS <<_ACEOF ## --------------------- ## ## M4sh
Initialization.  ## ## --------------------- ##

#  Be  Bourne compatible if test -n "${ZSH_VERSION+set}" && (emu-
late sh) >/dev/null 2>&1; then
  emulate sh
  NULLCMD=:
  # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
  # is contrary to our usage.  Disable this feature.
  alias -g '${1+"$@"}'='"$@"' elif test -n  "${BASH_VERSION+set}"
&& (set -o posix) >/dev/null 2>&1; then
  set -o posix fi DUALCASE=1; export DUALCASE # for MKS sh

# Support unset when possible.  if ( (MAIL=60; unset MAIL) || ex-
it) >/dev/null 2>&1; then
  as_unset=unset else
  as_unset=false fi


# Work around bugs in pre-3.0 UWIN ksh.  $as_unset ENV MAIL MAIL-
PATH PS1='$ ' PS2='> ' PS4='+ '

# NLS nuisances.  for as_var in   LANG LANGUAGE LC_ADDRESS LC_ALL
LC_COLLATE LC_CTYPE  LC_IDENTIFICATION    LC_MEASUREMENT  LC_MES-
SAGES  LC_MONETARY  LC_NAME  LC_NUMERIC  LC_PAPER    LC_TELEPHONE
LC_TIME do
  if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`");
then
    eval $as_var=C; export $as_var
  else
    $as_unset $as_var
  fi done

# Required to use basename.  if expr a : '' >/dev/null 2>&1; then
  as_expr=expr else
  as_expr=false fi

if (basename /) >/dev/null 2>&1 && test "X`basename  /  2>&1`"  =
"X/"; then
  as_basename=basename else
  as_basename=false fi


#  Name  of the executable.  as_me=`$as_basename "$0" || $as_expr
X/"$0" : '.*//][^/]*/*$'       X"$0" : 'X$'    X"$0" : 'X$'     .
: '' 2>/dev/null || echo X/"$0" |
    sed '/^.*/][^/]**$/{ s//1/; q; }
          /^X$/{ s//1/; q; }
          /^X.*/{ s//1/; q; }

  if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
    PATH_SEPARATOR=';'
  else
    PATH_SEPARATOR=:
  fi
  rm -f conf$$.sh fi


  as_lineno_1=$LINENO
  as_lineno_2=$LINENO
  as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
  test "x$as_lineno_1" != "x$as_lineno_2" &&
  test "x$as_lineno_3"  = "x$as_lineno_2"  || {
  # Find who we are.  Look in the path if we contain no  path  at
all
  # relative or not.
  case $0 in
    *[\/]* ) as_myself=$0 ;;
    *)  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
  test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break done

       ;;
  esac
  # We did not find ourselves, most probably we were run  as  `sh
COMMAND'
  # in which case we are not to be found in the path.
  if test "x$as_myself" = x; then
    as_myself=$0
  fi
  if test ! -f "$as_myself"; then
    {  {  echo  "$as_me:$LINENO: error: cannot find myself; rerun
with an absolute path" >&5 echo "$as_me: error: cannot  find  my-
self; rerun with an absolute path" >&2;}
   { (exit 1); exit 1; }; }
  fi
  case $CONFIG_SHELL in
  '')
    as_save_IFS=$IFS;    IFS=$PATH_SEPARATOR    for   as_dir   in
/bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
  for as_base in sh bash ksh sh5; do            case  $as_dir  in
         /*)            if ("$as_dir/$as_base" -c '
  as_lineno_1=$LINENO
  as_lineno_2=$LINENO
  as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
  test "x$as_lineno_1" != "x$as_lineno_2" &&
  test  "x$as_lineno_3"   =  "x$as_lineno_2" ') 2>/dev/null; then
             $as_unset BASH_ENV || test "${BASH_ENV+set}" !=  set

  # work.  The second script uses 'N' to  pair  each  line-number
line
  # with the numbered line, and appends trailing '-' during
  #  substitution  so  that $LINENO is not a special case at line
end.
  # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
  #  second 'sed' script.  Blame Lee E. McMahon for sed's syntax.
:-)
  sed '=' <$as_myself |
    sed '
      N
      s,$,-,
      : loop
      s,^$as_cr_digits']*[$]LINENO'$as_cr_alnum'_],1213,
      t loop
      s,-$,,
      s,^['$as_cr_digits']*0,
    ' >$as_me.lineno &&
  chmod +x $as_me.lineno ||
    { { echo "$as_me:$LINENO: error: cannot create $as_me.lineno;
rerun  with a POSIX shell" >&5 echo "$as_me: error: cannot create
$as_me.lineno; rerun with a POSIX shell" >&2;}
   { (exit 1); exit 1; }; }

  # Don't try to exec as it changes $[0],  causing  all  sort  of
problems
  # (the dirname of $[0] is not the place where we might find the
  # original and so  on.   Autoconf  is  especially  sensible  to
this).
  . ./$as_me.lineno
  # Exit status is that of the last command.
  exit }


case `echo "testing  *c*,-n*) ECHO_N= ECHO_C='
  *c*,*  ) ECHO_N=-n ECHO_C= ECHO_T= ;;
  *)       ECHO_N= ECHO_C='esac

if expr a : '' >/dev/null 2>&1; then
  as_expr=expr else
  as_expr=false fi

rm  -f  conf$$  conf$$.exe conf$$.file echo >conf$$.file if ln -s
conf$$.file conf$$ 2>/dev/null; then
  # We could just check for DJGPP; but this test a) works  b)  is
more generic
  #  and c) will remain valid once DJGPP supports symlinks (DJGPP
2.04).
  if test -f conf$$.exe; then
    # Don't use ln at all; we don't have any links
    as_ln_s='cp -p'
  else

TERS%;s%[^_$as_cr_alnum]%_%g'"

# Sed expression to map a string  onto  a  valid  variable  name.
as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"


# IFS # We need space, tab and new line, in precisely that order.
as_nl=' IFS="   $as_nl"

# CDPATH.  $as_unset CDPATH

exec 6>&1

# Open the log real soon, to keep  and so on meaningful, and to #
report  actual input values of CONFIG_FILES etc. instead of their
# values after options handling.  Logging --version etc.  is  OK.
exec 5>>config.log {
  echo
  sed   'h;s/./-/g;s/^.../@%:@@%:@  /;s/...$/  @%:@@%:@/;p;x;p;x'
<<_ASBOX @%:@@%:@ Running $as_me. @%:@@%:@ _ASBOX } >&5  cat  >&5
<<_CSEOF

This file was extended by drill $as_me 1.1.0, which was generated
by GNU Autoconf 2.59.  Invocation command line was

  CONFIG_FILES    = $CONFIG_FILES
  CONFIG_HEADERS  = $CONFIG_HEADERS
  CONFIG_LINKS    = $CONFIG_LINKS
  CONFIG_COMMANDS = $CONFIG_COMMANDS
  $ $0 $@

_CSEOF echo "on `(hostname || uname -n) 2>/dev/null  |  sed  1q`"
>&5 echo >&5 _ACEOF

#  Files  that  config.status was made for.  if test -n "$ac_con-
fig_files"; then
  echo "config_files= fi

if test -n "$ac_config_headers"; then
  echo "config_headers= fi

if test -n "$ac_config_links"; then
  echo "config_links= fi

if test -n "$ac_config_commands"; then
  echo "config_commands= fi

cat >>$CONFIG_STATUS <<_ACEOF

ac_cs_usage="`$as_me' instantiates files from templates according
to the current configuration.


Configuration headers: $config_headers

Report bugs to <bug-autoconf@gnu.org>."  _ACEOF

cat >>$CONFIG_STATUS <<_ACEOF ac_cs_version="\ drill  config.sta-
tus 1.1.0 configured by $0, generated by GNU Autoconf 2.59,
  with     options    \"`echo    "$ac_configure_args"    |    sed
's/[\""`/\\&/g'`\"

Copyright (C) 2003 Free  Software  Foundation,  Inc.   This  con-
fig.status  script is free software; the Free Software Foundation
gives unlimited permission to copy, distribute  and  modify  it."
srcdir=$srcdir _ACEOF

cat  >>$CONFIG_STATUS  <<_ACEOF # If no file are specified by the
user, then we need to provide default # value.   By  we  need  to
know  if  files  were  specified by the user.  ac_need_defaults=:
while test $# != 0 do
  case $1 in
  --*=*)
    ac_option=`expr "x$1" : 'x=]*='`
    ac_optarg=`expr "x$1" : 'x[^=]*='`
    ac_shift=:
    ;;
  -*)
    ac_option=$1
    ac_optarg=$2
    ac_shift=shift
    ;;
  *) # This is not an option, so the user has probably given  ex-
plicit
     # arguments.
     ac_option=$1
     ac_need_defaults=false;;
  esac

  case $ac_option in
  # Handling of the options.  _ACEOF cat >>$CONFIG_STATUS <<_ACE-
OF
  -recheck | --recheck | --rechec | --reche | --rech  |  --rec  |
--re | --r)
    ac_cs_recheck=: ;;
  --version | --vers* | -V )
    echo "$ac_cs_version"; exit 0 ;;
  --he | --h)
    # Conflict between --help and --header
    { { echo "$as_me:$LINENO: error: ambiguous option: $1 Try `$0
--help' for more information." >&5 echo "$as_me: error: ambiguous
option: $1 Try `$0 --help' for more information." >&2;}
   { (exit 1); exit 1; }; };;
  --help | --hel | -h )

  # This is an error.
  -*) { { echo "$as_me:$LINENO: error:  unrecognized  option:  $1
Try  `$0  --help' for more information." >&5 echo "$as_me: error:
unrecognized option: $1 Try `$0 --help'  for  more  information."
>&2;}
   { (exit 1); exit 1; }; } ;;

  *) ac_config_targets="$ac_config_targets $1" ;;

  esac
  shift done

ac_configure_extra_args=

if $ac_cs_silent; then
  exec 6>/dev/null
  ac_configure_extra_args="$ac_configure_extra_args --silent" fi

_ACEOF cat >>$CONFIG_STATUS <<_ACEOF if c_cs_recheck; then
  echo  "running  $SHELL  $0 " $ac_configure_args c_configure_ex-
tra_args " --no-create --no-recursion" >&6
  exec $SHELL $0 $ac_configure_args c_configure_extra_args  --no-
create --no-recursion fi

_ACEOF





cat  >>$CONFIG_STATUS  <<_ACEOF  for ac_config_target in $ac_con-
fig_targets do
  case "$ac_config_target" in
  # Handling of arguments.
  "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
  "drill.h" ) CONFIG_FILES="$CONFIG_FILES drill.h" ;;
  "config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
  *) { { echo "$as_me:$LINENO: error: invalid argument:  $ac_con-
fig_target"  >&5  echo "$as_me: error: invalid argument: $ac_con-
fig_target" >&2;}
   { (exit 1); exit 1; }; };;
  esac done

# If the user did not use the arguments to specify the  items  to
instantiate, # then the envvar interface is used.  Set only those
that are not.  # We use the long form for the default  assignment
because  of  an  extremely  #  bizarre  bug  on  SunOS 4.1.3.  if
$ac_need_defaults; then
  test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
  test  "${CONFIG_HEADERS+set}"  =  set  ||  CONFIG_HEADERS=$con-
fig_headers fi
  test -n "$tmp" && test -d "$tmp" }  || {
  tmp=./confstat$$-$RANDOM
  (umask 077 && mkdir $tmp) } || {
   echo "$me: cannot create a temporary directory in ." >&2
   { (exit 1); exit 1; } }

_ACEOF

cat >>$CONFIG_STATUS <<_ACEOF

# # CONFIG_FILES section.  #

# No need to generate the scripts if there are  no  CONFIG_FILES.
# This happens for instance when ./config.status config.h if test
-n "ONFIG_FILES"; then
  # Protect against being on the right side of  a  sed  subst  in
config.status.
  sed 's/,@/@@/; s/@,/@@/; s/,;t t@;t t/; /@;t ts/[\\&,]/\\&/g;
   s/@@/,@/;   s/@@/@,/;  s/@;t  t,;t  t/'  >mp/subs.sed  <<\CEOF
s,@SHELL@,$SHELL,;t  t  s,@PATH_SEPARATOR@,$PATH_SEPARATOR,;t   t
s,@PACKAGE_NAME@,$PACKAGE_NAME,;t   t  s,@PACKAGE_TARNAME@,$PACK-
AGE_TARNAME,;t   t   s,@PACKAGE_VERSION@,$PACKAGE_VERSION,;t    t
s,@PACKAGE_STRING@,$PACKAGE_STRING,;t     t     s,@PACKAGE_BUGRE-
PORT@,$PACKAGE_BUGREPORT,;t t  s,@exec_prefix@,$exec_prefix,;t  t
s,@prefix@,$prefix,;t      t     s,@program_transform_name@,$pro-
gram_transform_name,;t      t       s,@bindir@,$bindir,;t       t
s,@sbindir@,$sbindir,;t    t    s,@libexecdir@,$libexecdir,;t   t
s,@datadir@,$datadir,;t   t    s,@sysconfdir@,$sysconfdir,;t    t
s,@sharedstatedir@,$sharedstatedir,;t t s,@localstatedir@,$local-
statedir,;t   t   s,@libdir@,$libdir,;t   t   s,@includedir@,$in-
cludedir,;t   t   s,@oldincludedir@,$oldincludedir,;t   t  s,@in-
fodir@,$infodir,;t        t        s,@mandir@,$mandir,;t        t
s,@build_alias@,$build_alias,;t t s,@host_alias@,$host_alias,;t t
s,@target_alias@,$target_alias,;t    t    s,@DEFS@,$DEFS,;t     t
s,@ECHO_C@,$ECHO_C,;t       t       s,@ECHO_N@,$ECHO_N,;t       t
s,@ECHO_T@,$ECHO_T,;t  t  s,@LIBS@,$LIBS,;t  t  s,@CC@,$CC,;t   t
s,@CFLAGS@,$CFLAGS,;t       t      s,@LDFLAGS@,$LDFLAGS,;t      t
s,@CPPFLAGS@,$CPPFLAGS,;t t s,@ac_ct_CC@,$ac_ct_CC,;t  t  s,@EXE-
EXT@,$EXEEXT,;t   t  s,@OBJEXT@,$OBJEXT,;t  t  s,@CPP@,$CPP,;t  t
s,@EGREP@,$EGREP,;t      t      s,@SET_MAKE@,$SET_MAKE,;t       t
s,@HAVE_SSL@,$HAVE_SSL,;t   t  s,@LIB@&t@OBJS@,$LIB@&t@OBJS,;t  t
s,@LTLIBOBJS@,$LTLIBOBJS,;t t CEOF

_ACEOF

  cat >>$CONFIG_STATUS <<_ACEOF
  # Split the substitutions into bite-sized pieces for seds with
  # small command number limits, like on Digital OSF/1 and HP-UX.
  ac_max_sed_lines=48
  ac_sed_frag=1 # Number of current file.
  ac_beg=1 # First line for current file.
  ac_end=$ac_max_sed_lines  #  Line  after  last line for current

is to
      # speed up the sed processing (if there are no `@' at  all,
there
      # is no need to browse any of the substitutions).
      # These are the two extra sed commands mentioned above.
      (echo ':t
  /@[a-zA-Z_][a-zA-Z_0-9]*@/!b'     &&     cat    $tmp/subs.frag)
>$tmp/subs-$ac_sed_frag.sed
      if test -z "$ac_sed_cmds"; then         ac_sed_cmds="sed -f
$tmp/subs-$ac_sed_frag.sed"
      else            ac_sed_cmds="$ac_sed_cmds    |    sed    -f
$tmp/subs-$ac_sed_frag.sed"
      fi
      ac_sed_frag=`expr $ac_sed_frag + 1`
      ac_beg=$ac_end
      ac_end=`expr $ac_end + $ac_max_sed_lines`
    fi
  done
  if test -z "$ac_sed_cmds"; then
    ac_sed_cmds=cat
  fi fi # test -n "$CONFIG_FILES"

_ACEOF cat >>$CONFIG_STATUS  <<_ACEOF  for  ac_file  in  :  $CON-
FIG_FILES; do test "x$ac_file" = x: && continue
  #   Support   "outfile[:infile[:infile...]]",   defaulting  in-
file="outfile.in".
  case $ac_file in
  - | *:- | *:-:* ) # input from  stdin          cat  >$tmp/stdin
        ac_file_in=`echo    "$ac_file"    |   sed   's,[^:]*:,,'`
        ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
  *:*  )  ac_file_in=`echo   "$ac_file"   |   sed   's,[^:]*:,,'`
        ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
  * )   ac_file_in=$ac_file.in ;;
  esac

  # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirecto-
ries.
  ac_dir=`(dirname   "$ac_file")    2>/dev/null    ||    $as_expr
X"$ac_file"  :  'X[^/]//*[^/][^/]*/*$'             X"$ac_file"  :
'X[^/]'      X"$ac_file" : 'X$'      X"$ac_file" : 'X'          .
: '' 2>/dev/null || echo X"$ac_file" |
    sed '/^X[^/]*[^/][^/]**$/{ s//1/; q; }
          /^X[^/].*/{ s//1/; q; }
          /^X$/{ s//1/; q; }
          /^X.*/{ s//1/; q; }
          s/.*/./; q'`
  { if $as_mkdir_p; then
    mkdir -p "$ac_dir"
  else
    as_dir="$ac_dir"
    as_dirs=
    while test ! -d "$as_dir"; do

   { (exit 1); exit 1; }; }; }

  ac_builddir=.

if test "$ac_dir" != .; then
  ac_dir_suffix=/`echo "$ac_dir" | sed 's,^.[\/],,'`
  # A "../" for each directory in $ac_dir_suffix.
  ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\/]*,../,g'`
else
  ac_dir_suffix= ac_top_builddir= fi

case $srcdir in
  .)  # No --srcdir option.  We are building in place.
    ac_srcdir=.
    if test -z "$ac_top_builddir"; then
       ac_top_srcdir=.
    else
       ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
    fi ;;
  [\/]* | ?:[\/]* )  # Absolute path.
    ac_srcdir=$srcdir$ac_dir_suffix;
    ac_top_srcdir=$srcdir ;;
  *) # Relative path.
    ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
    ac_top_srcdir=$ac_top_builddir$srcdir ;; esac

# Do not use `cd foo && pwd` to compute absolute paths, because #
the directories may not exist.  case `pwd` in *)
  case "$ac_dir" in
  .) ac_abs_builddir=`pwd`;;
  [\/]* | ?:[\/]* ) ac_abs_builddir="$ac_dir";;
  *) ac_abs_builddir=`pwd`/"$ac_dir";;
  esac;; esac case $ac_abs_builddir in *)
  case ${ac_top_builddir}. in
  .) ac_abs_top_builddir=$ac_abs_builddir;;
  [\/]* | ?:[\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
  *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
  esac;; esac case $ac_abs_builddir in *)
  case $ac_srcdir in
  .) ac_abs_srcdir=$ac_abs_builddir;;
  [\/]* | ?:[\/]* ) ac_abs_srcdir=$ac_srcdir;;
  *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
  esac;; esac case $ac_abs_builddir in *)
  case $ac_top_srcdir in
  .) ac_abs_top_srcdir=$ac_abs_builddir;;
  [\/]* | ?:[\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
  *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
  esac;; esac



  #  Let's  still  pretend  it  is `configure' which instantiates
  # src tree.
  ac_file_inputs=`IFS=:
    for f in $ac_file_in; do
      case $f in
      -) echo $tmp/stdin ;;
      [\/$]*)           # Absolute (can't be DOS-style, as IFS=:)
         test -f "$f" || { { echo "$as_me:$LINENO: error:  cannot
find  input  file: $f" >&5 echo "$as_me: error: cannot find input
file: $f" >&2;}
   { (exit 1); exit 1; }; }          echo "$f";;
      *) # Relative          if test -f "$f"; then              #
Build  tree              echo  "$f"            elif test -f "$sr-
cdir/$f"; then            # Source  tree              echo  "$sr-
cdir/$f"          else            # /dev/null tree            { {
echo "$as_me:$LINENO: error: cannot find input file: $f" >&5 echo
"$as_me: error: cannot find input file: $f" >&2;}
   { (exit 1); exit 1; }; }          fi;;
      esac
    done` || { (exit 1); exit 1; }

  if test x"$ac_file" != x-; then
    {  echo "$as_me:$LINENO: creating $ac_file" >&5 echo "$as_me:
creating $ac_file" >&6;}
    rm -f "$ac_file"
  fi _ACEOF cat >>$CONFIG_STATUS <<_ACEOF
  sed "$ac_vpsub $extrasub _ACEOF cat  >>$CONFIG_STATUS  <<_ACEOF
:t    /@[a-zA-Z_][a-zA-Z_0-9]*@/!b   s,@configure_input@,$config-
ure_input,;t    t    s,@srcdir@,$ac_srcdir,;t    t     s,@abs_sr-
cdir@,$ac_abs_srcdir,;t   t   s,@top_srcdir@,$ac_top_srcdir,;t  t
s,@abs_top_srcdir@,$ac_abs_top_srcdir,;t       t        s,@build-
dir@,$ac_builddir,;t   t  s,@abs_builddir@,$ac_abs_builddir,;t  t
s,@top_builddir@,$ac_top_builddir,;t     t      s,@abs_top_build-
dir@,$ac_abs_top_builddir,;t   t   "   $ac_file_inputs   |  (eval
"$ac_sed_cmds") >$tmp/out
  rm -f $tmp/stdin
  if test x"$ac_file" != x-; then
    mv $tmp/out $ac_file
  else
    cat $tmp/out
    rm -f $tmp/out
  fi

done _ACEOF cat >>$CONFIG_STATUS <<_ACEOF

# # CONFIG_HEADER section.  #

# These sed commands are passed to sed as "A NAME B NAME C  VALUE
D",  where # NAME is the cpp macro being defined and VALUE is the
value it is being given.  # # ac_d sets  the  value  in  "#define
NAME  VALUE" lines.  ac_dA='s,^ ]*# ]*define[         ][      ]*'
ac_dB='[         ].*$,1#2' ac_dC=' '  ac_dD=',;t'  #  ac_u  turns
"#undef  NAME" without trailing blanks into "#define NAME VALUE".
  esac

  test x"$ac_file" != x-  &&  {  echo  "$as_me:$LINENO:  creating
$ac_file" >&5 echo "$as_me: creating $ac_file" >&6;}

  #  First  look for the input files in the build tree, otherwise
in the
  # src tree.
  ac_file_inputs=`IFS=:
    for f in $ac_file_in; do
      case $f in
      -) echo $tmp/stdin ;;
      [\/$]*)          # Absolute (can't be DOS-style, as  IFS=:)
          test -f "$f" || { { echo "$as_me:$LINENO: error: cannot
find input file: $f" >&5 echo "$as_me: error: cannot  find  input
file: $f" >&2;}
   {  (exit  1);  exit 1; }; }          # Do quote $f, to prevent
DOS paths from being IFS'd.           echo "$f";;
      *) # Relative          if test -f "$f"; then              #
Build  tree              echo  "$f"            elif test -f "$sr-
cdir/$f"; then            # Source  tree              echo  "$sr-
cdir/$f"          else            # /dev/null tree            { {
echo "$as_me:$LINENO: error: cannot find input file: $f" >&5 echo
"$as_me: error: cannot find input file: $f" >&2;}
   { (exit 1); exit 1; }; }          fi;;
      esac
    done` || { (exit 1); exit 1; }
  # Remove the trailing spaces.
  sed 's/[       ]*$//' $ac_file_inputs >$tmp/in

_ACEOF

#  Transform  confdefs.h into two sed scripts, `conftest.defines'
and # `conftest.undefs', that substitutes the proper values  into
# config.h.in to produce config.h.  The first handles `#define' #
templates, and the second `#undef' templates.  # And first:  Pro-
tect  against  being  on  the right side of a sed subst in # con-
fig.status.  Protect against being in an unquoted here document #
in config.status.  rm -f conftest.defines conftest.undefs # Using
a here document instead of a string reduces  the  quoting  night-
mare.   #  Putting  comments in sed scripts is not portable.  # #
`end' is used to avoid that the second main  sed  command  (meant
for  #  0-ary  CPP macros) applies to n-ary macro definitions.  #
See the Autoconf documentation for `clear'.  cat >confdef2sed.sed
<<_ACEOF  s/[\&,]/\&/g  s,[\$`],\&,g  t  clear  :  clear s,^[
]*#[     ]*define[   ][       ]*        (][^      (]*^)]*)[
]*$,${ac_dA}1${ac_dB}12${ac_dC}3${ac_dD},gp    t   end   s,^[
]*#[     ]*define[          ][        ]*        ][^       ]*[
]*$,${ac_dA}1${ac_dB}1${ac_dC}2${ac_dD},gp : end _ACEOF # If some
macros were called several times there might be several  times  #
the  same  #defines,  which is useless.  Nevertheless, we may not
want to # sort them, since we want the  *last*  AC-DEFINE  to  be
necessary.'  >>$CONFIG_STATUS  echo  '   if grep "^[      ]*#[
]*define" $tmp/in >/dev/null; then' >>$CONFIG_STATUS echo '  # If
there  are no defines, we may have an empty if/fi' >>$CONFIG_STA-
TUS echo '  :' >>$CONFIG_STATUS rm -f conftest.tail while grep  .
conftest.defines >/dev/null do
  # Write a limited-size here document to $tmp/defines.sed.
  echo '  cat >$tmp/defines.sed <<CEOF' >>$CONFIG_STATUS
  # Speed up: don't consider the non `#define' lines.
  echo '/^[      ]*#[    ]*define/!b' >>$CONFIG_STATUS
  # Work around the forget-to-reset-the-flag bug.
  echo 't clr' >>$CONFIG_STATUS
  echo ': clr' >>$CONFIG_STATUS
  sed ${ac_max_here_lines}q conftest.defines >>$CONFIG_STATUS
  echo 'CEOF
  sed -f $tmp/defines.sed $tmp/in >$tmp/out
  rm -f $tmp/in
  mv $tmp/out $tmp/in
  sed 1,${ac_max_here_lines}d conftest.defines >conftest.tail
  rm -f conftest.defines
  mv  conftest.tail  conftest.defines done rm -f conftest.defines
echo '  fi # grep' >>$CONFIG_STATUS echo >>$CONFIG_STATUS

# Break up conftest.undefs because some shells have  a  limit  on
the  size # of here documents, and old seds have small limits too
(100 cmds).  echo '  # Handle all the #undef  templates'  >>$CON-
FIG_STATUS  rm  -f  conftest.tail  while  grep  . conftest.undefs
>/dev/null do
  # Write a limited-size here document to $tmp/undefs.sed.
  echo '  cat >$tmp/undefs.sed <<CEOF' >>$CONFIG_STATUS
  # Speed up: don't consider the non `#undef'
  echo '/^[      ]*#[    ]*undef/!b' >>$CONFIG_STATUS
  # Work around the forget-to-reset-the-flag bug.
  echo 't clr' >>$CONFIG_STATUS
  echo ': clr' >>$CONFIG_STATUS
  sed ${ac_max_here_lines}q conftest.undefs >>$CONFIG_STATUS
  echo 'CEOF
  sed -f $tmp/undefs.sed $tmp/in >$tmp/out
  rm -f $tmp/in
  mv $tmp/out $tmp/in
  sed 1,${ac_max_here_lines}d conftest.undefs >conftest.tail
  rm -f conftest.undefs
  mv conftest.tail conftest.undefs done rm -f conftest.undefs

cat >>$CONFIG_STATUS <<_ACEOF
  # Let's still pretend  it  is  `configure'  which  instantiates
(i.e., don't
  # use $as_me), people would be surprised to read:
  #    /* config.h.  Generated by config.status.  */
  if test x"$ac_file" = x-; then
    echo "/* Generated by configure.  */" >$tmp/config.h
  else
    echo  "/*  $ac_file.  Generated by configure.  */" >$tmp/con-
          /^X[^/].*/{ s//1/; q; }
          /^X$/{ s//1/; q; }
          /^X.*/{ s//1/; q; }
          s/.*/./; q'`
      { if $as_mkdir_p; then
    mkdir -p "$ac_dir"
  else
    as_dir="$ac_dir"
    as_dirs=
    while test ! -d "$as_dir"; do
      as_dirs="$as_dir $as_dirs"
      as_dir=`(dirname   "$as_dir")   2>/dev/null   ||   $as_expr
X"$as_dir"  : 'X[^/]//*[^/][^/]*/*$'      X"$as_dir" : 'X[^/]'
X"$as_dir" : 'X$'       X"$as_dir"  :  'X'           .      :  ''
2>/dev/null || echo X"$as_dir" |
    sed '/^X[^/]*[^/][^/]**$/{ s//1/; q; }
          /^X[^/].*/{ s//1/; q; }
          /^X$/{ s//1/; q; }
          /^X.*/{ s//1/; q; }
          s/.*/./; q'`
    done
    test ! -n "$as_dirs" || mkdir $as_dirs
  fi  || { { echo "$as_me:$LINENO: error: cannot create directory
echo "$as_me: error: cannot create directory
   { (exit 1); exit 1; }; }; }

      rm -f $ac_file
      mv $tmp/config.h $ac_file
    fi
  else
    cat $tmp/config.h
    rm -f $tmp/config.h
  fi done _ACEOF

cat >>$CONFIG_STATUS <<_ACEOF

{  (exit  0);  exit  0;  }   _ACEOF   chmod   +x   $CONFIG_STATUS
ac_clean_files=$ac_clean_files_save


#  configure is writing to config.log, and then calls config.sta-
tus.  # config.status does its own redirection, appending to con-
fig.log.   #  Unfortunately,  on DOS this fails, as config.log is
still kept open # by configure, so config.status won't be able to
write to it; its # output is simply discarded.  So we exec the FD
to /dev/null, # effectively closing  config.log,  so  it  can  be
properly  (re)opened  and  #  appended to by config.status.  When
coming back to configure, we # need  to  make  the  FD  available
again.  if test "$no_create" != yes; then
  ac_cs_success=:
  ac_config_status_args=
  test "$silent" = yes &&





















































Man(1) output converted with man2html